<?php
/* add_ons_php */


// https://github.com/pojome/elementor/blob/master/docs/content/hooks/php-hooks.md

// Add a custom category for panel widgets
add_action( 'elementor/init', function() {
   
    \Elementor\Plugin::$instance->elements_manager->add_category( 
        'easybook-elements',
        [
            'title' => __( 'EasyBook Elements', 'easybook-add-ons' ),
            'icon' => 'fa fa-gmap', //default icon
        ],
        1 // position
    );




} ); 


// modify attribute for element before front render
// add_action( 'elementor/frontend/element/before_render', function ( \Elementor\Element_Base $element ) {
//     if ( 'section' === $element->get_name() ) {
//         // $settings = $element->get_settings();


//         // var_dump($settings);
//         // echo '<pre>';
//         // var_dump($element);

//         if ( ! $element->get_settings( 'easybook_layout' ) ) {
//             return;
//         }

//         $element->add_render_attribute( '_wrapper', [
//             'class' => $element->get_settings( 'easybook_layout' ),
//             'data-easybook_layout' => $element->get_settings( 'easybook_layout' ),
//         ] );
//     }
        
// } );

// modify section element
// add_action( 'elementor/element/section/section_layout/before_section_start', function( $element, $args ) {
//     /** @var \Elementor\Element_Base $element */
//     $element->start_controls_section(
//         'easybook_theme',
//         [
//             'tab' => \Elementor\Controls_Manager::TAB_STYLE,
//             'label' => __( 'EasyBook Theme', 'easybook-add-ons' ),
//         ]
//     );

//     $element->add_control(
//         'easybook_layout',
//         [
//             // 'type' => \Elementor\Controls_Manager::NUMBER,
//             'label' => __( 'Custom Control', 'easybook-add-ons' ),
//             'type' => \Elementor\Controls_Manager::SELECT,
//             'default' => '',
//             'options' => [
//                 ''  => __( 'Default', 'easybook-add-ons' ),
//                 'easybook_page_sec' => __( 'Page Section', 'easybook-add-ons' ),
//                 'easybook_home_sec' => __( 'Home Section', 'easybook-add-ons' ),
//                 'double' => __( 'Double', 'easybook-add-ons' ),
//                 'none'   => __( 'None', 'easybook-add-ons' ),
//             ],
//             // 'selectors' => [ // You can use the selected value in an auto-generated css rule.
//             //     '{{WRAPPER}} .your-element' => 'border-style: {{VALUE}}',
//             // ],

//         ]
//     );

//     $element->end_controls_section();
// }, 10, 2 );
// render widget
// add_action( 'elementor/widget/render_content', function( $content, $widget ) {
//     // die;
//     if ( 'section' === $widget->get_name() ) {
//         $settings = $widget->get_settings();

//         var_dump($settings);
   
//         if ( ! empty( $settings['easybook_layout']) ) {
//             $content .= '<section class="scroll-con-sec hero-section" data-scrollax-parent="true" id="sec1">
//                             <div class="bg"  data-bg="images/bg/32.jpg" data-scrollax="properties: { translateY: \'200px\' }"></div>
//                             <div class="overlay"></div>
//                             <div class="hero-section-wrap fl-wrap">
//                                 <div class="container">
//                                     <div class="intro-item fl-wrap">
//                                         <h2>We will help you to find all</h2>
//                                         <h3>Find great places , hotels , restourants , shops.</h3>
//                                     </div>
//                                     <div class="main-search-input-wrap">
//                                         <div class="main-search-input fl-wrap">
//                                             <div class="main-search-input-item">
//                                                 <input type="text" placeholder="What are you looking for?" value=""/>
//                                             </div>
//                                             <div class="main-search-input-item location">
//                                                 <input type="text" placeholder="Location" value=""/>
//                                                 <a href="#"><i class="fa fa-dot-circle-o"></i></a>
//                                             </div>
//                                             <div class="main-search-input-item">
//                                                 <select data-placeholder="All Categories" class="chosen-select" >
//                                                     <option>All Categories</option>
//                                                     <option>Shops</option>
//                                                     <option>Hotels</option>
//                                                     <option>Restaurants</option>
//                                                     <option>Fitness</option>
//                                                     <option>Events</option>
//                                                 </select>
//                                             </div>
//                                             <button class="main-search-button">Search</button>
//                                         </div>
//                                     </div>
//                                 </div>
//                             </div>
//                             <div class="bubble-bg"> </div>
//                             <div class="header-sec-link">
//                                 <div class="container"><a href="#sec2" class="custom-scroll-link">Let\'s Start</a></div>
//                             </div>
//                         </section>';
//         }   
//     }
   
//     return $content;

// }, 10, 2 );

// add_action( 'elementor/widgets/widgets_registered', function( $widgets_manager ) {
add_action( 'elementor/widgets/register', function( $widgets_manager ) {
    // $widget_file = 'elementor/header-search-widget.php';
    // $template_file = locate_template($widget_file);
    // if ( !$template_file || !is_readable( $template_file ) ) {
    //     $template_file = ESB_ABSPATH.$widget_file;
    // }
    // if ( $template_file && is_readable( $template_file ) ) {
    //     require_once $template_file;

    //     // $widgets_manager->register_widget_type( new \Elementor\Widget_Header_Search() );

    //     \Elementor\Plugin::$instance->widgets_manager->register_widget_type( new \Elementor\Widget_Header_Search() );

        
    // }

    $elements = array(
        'hero_section',
        'hero_section_map',
        'hero_slider',
        // 'section_title',
        'listing_categories',
        'listing_locations',
        'listings_slider',
        'listings_grid',
        'listings_grid_new',
        'posts_grid',
        'our_partners',
        'counter',
        'process',
        'pricing_item',
        'collage_images',

        'google_map',
        'contact_form7',
        'cth_accordion',
        'time_line',

        'section_title',
        'section_titleleft',
        'popup_video',
        'feature_box',
        'team_box',
        'parallax_content',
        'testimonials_slider',
        'sticks_slider',
        'contact',

        'section_text',
        // 'contact_box',
        // 'step',
        // 'background_video',
        'members_grid',
        'listing_slider_item',
        'button',
        'button_add_listing',
        'asked_question',

        
        'membership_plans',

        'woo_mem_plans',

    );

    foreach ( $elements as $element_name ) {
        $template_file = ESB_ABSPATH.'elementor/'.$element_name.'.php';
        if ( $template_file && is_readable( $template_file ) ) {
            require_once $template_file;
            $class_name = '\Elementor\CTH_' . ucwords($element_name,'_');
            // $widgets_manager->register_widget_type( new $class_name() );
            $widgets_manager->register( new $class_name() );
        }
            
    }
} );

function easybook_addons_fa5_icons() {

    return array (
        'fab fa-500px' => __( '500px', 'easybook-add-ons' ),
        'fab fa-accessible-icon' => __( 'accessible-icon', 'easybook-add-ons' ),
        'fab fa-accusoft' => __( 'accusoft', 'easybook-add-ons' ),
        'fas fa-address-book' => __( 'address-book', 'easybook-add-ons' ),
        'far fa-address-book' => __( 'address-book', 'easybook-add-ons' ),
        'fas fa-address-card' => __( 'address-card', 'easybook-add-ons' ),
        'far fa-address-card' => __( 'address-card', 'easybook-add-ons' ),
        'fas fa-adjust' => __( 'adjust', 'easybook-add-ons' ),
        'fab fa-adn' => __( 'adn', 'easybook-add-ons' ),
        'fab fa-adversal' => __( 'adversal', 'easybook-add-ons' ),
        'fab fa-affiliatetheme' => __( 'affiliatetheme', 'easybook-add-ons' ),
        'fab fa-algolia' => __( 'algolia', 'easybook-add-ons' ),
        'fas fa-align-center' => __( 'align-center', 'easybook-add-ons' ),
        'fas fa-align-justify' => __( 'align-justify', 'easybook-add-ons' ),
        'fas fa-align-left' => __( 'align-left', 'easybook-add-ons' ),
        'fas fa-align-right' => __( 'align-right', 'easybook-add-ons' ),
        'fas fa-allergies' => __( 'allergies', 'easybook-add-ons' ),
        'fab fa-amazon' => __( 'amazon', 'easybook-add-ons' ),
        'fab fa-amazon-pay' => __( 'amazon-pay', 'easybook-add-ons' ),
        'fas fa-ambulance' => __( 'ambulance', 'easybook-add-ons' ),
        'fas fa-american-sign-language-interpreting' => __( 'american-sign-language-interpreting', 'easybook-add-ons' ),
        'fab fa-amilia' => __( 'amilia', 'easybook-add-ons' ),
        'fas fa-anchor' => __( 'anchor', 'easybook-add-ons' ),
        'fab fa-android' => __( 'android', 'easybook-add-ons' ),
        'fab fa-angellist' => __( 'angellist', 'easybook-add-ons' ),
        'fas fa-angle-double-down' => __( 'angle-double-down', 'easybook-add-ons' ),
        'fas fa-angle-double-left' => __( 'angle-double-left', 'easybook-add-ons' ),
        'fas fa-angle-double-right' => __( 'angle-double-right', 'easybook-add-ons' ),
        'fas fa-angle-double-up' => __( 'angle-double-up', 'easybook-add-ons' ),
        'fas fa-angle-down' => __( 'angle-down', 'easybook-add-ons' ),
        'fas fa-angle-left' => __( 'angle-left', 'easybook-add-ons' ),
        'fas fa-angle-right' => __( 'angle-right', 'easybook-add-ons' ),
        'fas fa-angle-up' => __( 'angle-up', 'easybook-add-ons' ),
        'fab fa-angrycreative' => __( 'angrycreative', 'easybook-add-ons' ),
        'fab fa-angular' => __( 'angular', 'easybook-add-ons' ),
        'fab fa-app-store' => __( 'app-store', 'easybook-add-ons' ),
        'fab fa-app-store-ios' => __( 'app-store-ios', 'easybook-add-ons' ),
        'fab fa-apper' => __( 'apper', 'easybook-add-ons' ),
        'fab fa-apple' => __( 'apple', 'easybook-add-ons' ),
        'fab fa-apple-pay' => __( 'apple-pay', 'easybook-add-ons' ),
        'fas fa-archive' => __( 'archive', 'easybook-add-ons' ),
        'fas fa-arrow-alt-circle-down' => __( 'arrow-alt-circle-down', 'easybook-add-ons' ),
        'far fa-arrow-alt-circle-down' => __( 'arrow-alt-circle-down', 'easybook-add-ons' ),
        'fas fa-arrow-alt-circle-left' => __( 'arrow-alt-circle-left', 'easybook-add-ons' ),
        'far fa-arrow-alt-circle-left' => __( 'arrow-alt-circle-left', 'easybook-add-ons' ),
        'fas fa-arrow-alt-circle-right' => __( 'arrow-alt-circle-right', 'easybook-add-ons' ),
        'far fa-arrow-alt-circle-right' => __( 'arrow-alt-circle-right', 'easybook-add-ons' ),
        'fas fa-arrow-alt-circle-up' => __( 'arrow-alt-circle-up', 'easybook-add-ons' ),
        'far fa-arrow-alt-circle-up' => __( 'arrow-alt-circle-up', 'easybook-add-ons' ),
        'fas fa-arrow-circle-down' => __( 'arrow-circle-down', 'easybook-add-ons' ),
        'fas fa-arrow-circle-left' => __( 'arrow-circle-left', 'easybook-add-ons' ),
        'fas fa-arrow-circle-right' => __( 'arrow-circle-right', 'easybook-add-ons' ),
        'fas fa-arrow-circle-up' => __( 'arrow-circle-up', 'easybook-add-ons' ),
        'fas fa-arrow-down' => __( 'arrow-down', 'easybook-add-ons' ),
        'fas fa-arrow-left' => __( 'arrow-left', 'easybook-add-ons' ),
        'fas fa-arrow-right' => __( 'arrow-right', 'easybook-add-ons' ),
        'fas fa-arrow-up' => __( 'arrow-up', 'easybook-add-ons' ),
        'fas fa-arrows-alt' => __( 'arrows-alt', 'easybook-add-ons' ),
        'fas fa-arrows-alt-h' => __( 'arrows-alt-h', 'easybook-add-ons' ),
        'fas fa-arrows-alt-v' => __( 'arrows-alt-v', 'easybook-add-ons' ),
        'fas fa-assistive-listening-systems' => __( 'assistive-listening-systems', 'easybook-add-ons' ),
        'fas fa-asterisk' => __( 'asterisk', 'easybook-add-ons' ),
        'fab fa-asymmetrik' => __( 'asymmetrik', 'easybook-add-ons' ),
        'fas fa-at' => __( 'at', 'easybook-add-ons' ),
        'fab fa-audible' => __( 'audible', 'easybook-add-ons' ),
        'fas fa-audio-description' => __( 'audio-description', 'easybook-add-ons' ),
        'fab fa-autoprefixer' => __( 'autoprefixer', 'easybook-add-ons' ),
        'fab fa-avianex' => __( 'avianex', 'easybook-add-ons' ),
        'fab fa-aviato' => __( 'aviato', 'easybook-add-ons' ),
        'fab fa-aws' => __( 'aws', 'easybook-add-ons' ),
        'fas fa-backward' => __( 'backward', 'easybook-add-ons' ),
        'fas fa-balance-scale' => __( 'balance-scale', 'easybook-add-ons' ),
        'fas fa-ban' => __( 'ban', 'easybook-add-ons' ),
        'fas fa-band-aid' => __( 'band-aid', 'easybook-add-ons' ),
        'fab fa-bandcamp' => __( 'bandcamp', 'easybook-add-ons' ),
        'fas fa-barcode' => __( 'barcode', 'easybook-add-ons' ),
        'fas fa-bars' => __( 'bars', 'easybook-add-ons' ),
        'fas fa-baseball-ball' => __( 'baseball-ball', 'easybook-add-ons' ),
        'fas fa-basketball-ball' => __( 'basketball-ball', 'easybook-add-ons' ),
        'fas fa-bath' => __( 'bath', 'easybook-add-ons' ),
        'fas fa-battery-empty' => __( 'battery-empty', 'easybook-add-ons' ),
        'fas fa-battery-full' => __( 'battery-full', 'easybook-add-ons' ),
        'fas fa-battery-half' => __( 'battery-half', 'easybook-add-ons' ),
        'fas fa-battery-quarter' => __( 'battery-quarter', 'easybook-add-ons' ),
        'fas fa-battery-three-quarters' => __( 'battery-three-quarters', 'easybook-add-ons' ),
        'fas fa-bed' => __( 'bed', 'easybook-add-ons' ),
        'fas fa-beer' => __( 'beer', 'easybook-add-ons' ),
        'fab fa-behance' => __( 'behance', 'easybook-add-ons' ),
        'fab fa-behance-square' => __( 'behance-square', 'easybook-add-ons' ),
        'fas fa-bell' => __( 'bell', 'easybook-add-ons' ),
        'far fa-bell' => __( 'bell', 'easybook-add-ons' ),
        'fas fa-bell-slash' => __( 'bell-slash', 'easybook-add-ons' ),
        'far fa-bell-slash' => __( 'bell-slash', 'easybook-add-ons' ),
        'fas fa-bicycle' => __( 'bicycle', 'easybook-add-ons' ),
        'fab fa-bimobject' => __( 'bimobject', 'easybook-add-ons' ),
        'fas fa-binoculars' => __( 'binoculars', 'easybook-add-ons' ),
        'fas fa-birthday-cake' => __( 'birthday-cake', 'easybook-add-ons' ),
        'fab fa-bitbucket' => __( 'bitbucket', 'easybook-add-ons' ),
        'fab fa-bitcoin' => __( 'bitcoin', 'easybook-add-ons' ),
        'fab fa-bity' => __( 'bity', 'easybook-add-ons' ),
        'fab fa-black-tie' => __( 'black-tie', 'easybook-add-ons' ),
        'fab fa-blackberry' => __( 'blackberry', 'easybook-add-ons' ),
        'fas fa-blind' => __( 'blind', 'easybook-add-ons' ),
        'fab fa-blogger' => __( 'blogger', 'easybook-add-ons' ),
        'fab fa-blogger-b' => __( 'blogger-b', 'easybook-add-ons' ),
        'fab fa-bluetooth' => __( 'bluetooth', 'easybook-add-ons' ),
        'fab fa-bluetooth-b' => __( 'bluetooth-b', 'easybook-add-ons' ),
        'fas fa-bold' => __( 'bold', 'easybook-add-ons' ),
        'fas fa-bolt' => __( 'bolt', 'easybook-add-ons' ),
        'fas fa-bomb' => __( 'bomb', 'easybook-add-ons' ),
        'fas fa-book' => __( 'book', 'easybook-add-ons' ),
        'fas fa-bookmark' => __( 'bookmark', 'easybook-add-ons' ),
        'far fa-bookmark' => __( 'bookmark', 'easybook-add-ons' ),
        'fas fa-bowling-ball' => __( 'bowling-ball', 'easybook-add-ons' ),
        'fas fa-box' => __( 'box', 'easybook-add-ons' ),
        'fas fa-box-open' => __( 'box-open', 'easybook-add-ons' ),
        'fas fa-boxes' => __( 'boxes', 'easybook-add-ons' ),
        'fas fa-braille' => __( 'braille', 'easybook-add-ons' ),
        'fas fa-briefcase' => __( 'briefcase', 'easybook-add-ons' ),
        'fas fa-briefcase-medical' => __( 'briefcase-medical', 'easybook-add-ons' ),
        'fab fa-btc' => __( 'btc', 'easybook-add-ons' ),
        'fas fa-bug' => __( 'bug', 'easybook-add-ons' ),
        'fas fa-building' => __( 'building', 'easybook-add-ons' ),
        'far fa-building' => __( 'building', 'easybook-add-ons' ),
        'fas fa-bullhorn' => __( 'bullhorn', 'easybook-add-ons' ),
        'fas fa-bullseye' => __( 'bullseye', 'easybook-add-ons' ),
        'fas fa-burn' => __( 'burn', 'easybook-add-ons' ),
        'fab fa-buromobelexperte' => __( 'buromobelexperte', 'easybook-add-ons' ),
        'fas fa-bus' => __( 'bus', 'easybook-add-ons' ),
        'fab fa-buysellads' => __( 'buysellads', 'easybook-add-ons' ),
        'fas fa-calculator' => __( 'calculator', 'easybook-add-ons' ),
        'fas fa-calendar' => __( 'calendar', 'easybook-add-ons' ),
        'far fa-calendar' => __( 'calendar', 'easybook-add-ons' ),
        'fas fa-calendar-alt' => __( 'calendar-alt', 'easybook-add-ons' ),
        'far fa-calendar-alt' => __( 'calendar-alt', 'easybook-add-ons' ),
        'fas fa-calendar-check' => __( 'calendar-check', 'easybook-add-ons' ),
        'far fa-calendar-check' => __( 'calendar-check', 'easybook-add-ons' ),
        'fas fa-calendar-minus' => __( 'calendar-minus', 'easybook-add-ons' ),
        'far fa-calendar-minus' => __( 'calendar-minus', 'easybook-add-ons' ),
        'fas fa-calendar-plus' => __( 'calendar-plus', 'easybook-add-ons' ),
        'far fa-calendar-plus' => __( 'calendar-plus', 'easybook-add-ons' ),
        'fas fa-calendar-times' => __( 'calendar-times', 'easybook-add-ons' ),
        'far fa-calendar-times' => __( 'calendar-times', 'easybook-add-ons' ),
        'fas fa-camera' => __( 'camera', 'easybook-add-ons' ),
        'fas fa-camera-retro' => __( 'camera-retro', 'easybook-add-ons' ),
        'fas fa-capsules' => __( 'capsules', 'easybook-add-ons' ),
        'fas fa-car' => __( 'car', 'easybook-add-ons' ),
        'fas fa-caret-down' => __( 'caret-down', 'easybook-add-ons' ),
        'fas fa-caret-left' => __( 'caret-left', 'easybook-add-ons' ),
        'fas fa-caret-right' => __( 'caret-right', 'easybook-add-ons' ),
        'fas fa-caret-square-down' => __( 'caret-square-down', 'easybook-add-ons' ),
        'far fa-caret-square-down' => __( 'caret-square-down', 'easybook-add-ons' ),
        'fas fa-caret-square-left' => __( 'caret-square-left', 'easybook-add-ons' ),
        'far fa-caret-square-left' => __( 'caret-square-left', 'easybook-add-ons' ),
        'fas fa-caret-square-right' => __( 'caret-square-right', 'easybook-add-ons' ),
        'far fa-caret-square-right' => __( 'caret-square-right', 'easybook-add-ons' ),
        'fas fa-caret-square-up' => __( 'caret-square-up', 'easybook-add-ons' ),
        'far fa-caret-square-up' => __( 'caret-square-up', 'easybook-add-ons' ),
        'fas fa-caret-up' => __( 'caret-up', 'easybook-add-ons' ),
        'fas fa-cart-arrow-down' => __( 'cart-arrow-down', 'easybook-add-ons' ),
        'fas fa-cart-plus' => __( 'cart-plus', 'easybook-add-ons' ),
        'fab fa-cc-amazon-pay' => __( 'cc-amazon-pay', 'easybook-add-ons' ),
        'fab fa-cc-amex' => __( 'cc-amex', 'easybook-add-ons' ),
        'fab fa-cc-apple-pay' => __( 'cc-apple-pay', 'easybook-add-ons' ),
        'fab fa-cc-diners-club' => __( 'cc-diners-club', 'easybook-add-ons' ),
        'fab fa-cc-discover' => __( 'cc-discover', 'easybook-add-ons' ),
        'fab fa-cc-jcb' => __( 'cc-jcb', 'easybook-add-ons' ),
        'fab fa-cc-mastercard' => __( 'cc-mastercard', 'easybook-add-ons' ),
        'fab fa-cc-paypal' => __( 'cc-paypal', 'easybook-add-ons' ),
        'fab fa-cc-stripe' => __( 'cc-stripe', 'easybook-add-ons' ),
        'fab fa-cc-visa' => __( 'cc-visa', 'easybook-add-ons' ),
        'fab fa-centercode' => __( 'centercode', 'easybook-add-ons' ),
        'fas fa-certificate' => __( 'certificate', 'easybook-add-ons' ),
        'fas fa-chart-area' => __( 'chart-area', 'easybook-add-ons' ),
        'fas fa-chart-bar' => __( 'chart-bar', 'easybook-add-ons' ),
        'far fa-chart-bar' => __( 'chart-bar', 'easybook-add-ons' ),
        'fas fa-chart-line' => __( 'chart-line', 'easybook-add-ons' ),
        'fas fa-chart-pie' => __( 'chart-pie', 'easybook-add-ons' ),
        'fas fa-check' => __( 'check', 'easybook-add-ons' ),
        'fas fa-check-circle' => __( 'check-circle', 'easybook-add-ons' ),
        'far fa-check-circle' => __( 'check-circle', 'easybook-add-ons' ),
        'fas fa-check-square' => __( 'check-square', 'easybook-add-ons' ),
        'far fa-check-square' => __( 'check-square', 'easybook-add-ons' ),
        'fas fa-chess' => __( 'chess', 'easybook-add-ons' ),
        'fas fa-chess-bishop' => __( 'chess-bishop', 'easybook-add-ons' ),
        'fas fa-chess-board' => __( 'chess-board', 'easybook-add-ons' ),
        'fas fa-chess-king' => __( 'chess-king', 'easybook-add-ons' ),
        'fas fa-chess-knight' => __( 'chess-knight', 'easybook-add-ons' ),
        'fas fa-chess-pawn' => __( 'chess-pawn', 'easybook-add-ons' ),
        'fas fa-chess-queen' => __( 'chess-queen', 'easybook-add-ons' ),
        'fas fa-chess-rook' => __( 'chess-rook', 'easybook-add-ons' ),
        'fas fa-chevron-circle-down' => __( 'chevron-circle-down', 'easybook-add-ons' ),
        'fas fa-chevron-circle-left' => __( 'chevron-circle-left', 'easybook-add-ons' ),
        'fas fa-chevron-circle-right' => __( 'chevron-circle-right', 'easybook-add-ons' ),
        'fas fa-chevron-circle-up' => __( 'chevron-circle-up', 'easybook-add-ons' ),
        'fas fa-chevron-down' => __( 'chevron-down', 'easybook-add-ons' ),
        'fas fa-chevron-left' => __( 'chevron-left', 'easybook-add-ons' ),
        'fas fa-chevron-right' => __( 'chevron-right', 'easybook-add-ons' ),
        'fas fa-chevron-up' => __( 'chevron-up', 'easybook-add-ons' ),
        'fas fa-child' => __( 'child', 'easybook-add-ons' ),
        'fab fa-chrome' => __( 'chrome', 'easybook-add-ons' ),
        'fas fa-circle' => __( 'circle', 'easybook-add-ons' ),
        'far fa-circle' => __( 'circle', 'easybook-add-ons' ),
        'fas fa-circle-notch' => __( 'circle-notch', 'easybook-add-ons' ),
        'fas fa-clipboard' => __( 'clipboard', 'easybook-add-ons' ),
        'far fa-clipboard' => __( 'clipboard', 'easybook-add-ons' ),
        'fas fa-clipboard-check' => __( 'clipboard-check', 'easybook-add-ons' ),
        'fas fa-clipboard-list' => __( 'clipboard-list', 'easybook-add-ons' ),
        'fas fa-clock' => __( 'clock', 'easybook-add-ons' ),
        'far fa-clock' => __( 'clock', 'easybook-add-ons' ),
        'fas fa-clone' => __( 'clone', 'easybook-add-ons' ),
        'far fa-clone' => __( 'clone', 'easybook-add-ons' ),
        'fas fa-closed-captioning' => __( 'closed-captioning', 'easybook-add-ons' ),
        'far fa-closed-captioning' => __( 'closed-captioning', 'easybook-add-ons' ),
        'fas fa-cloud' => __( 'cloud', 'easybook-add-ons' ),
        'fas fa-cloud-download-alt' => __( 'cloud-download-alt', 'easybook-add-ons' ),
        'fas fa-cloud-upload-alt' => __( 'cloud-upload-alt', 'easybook-add-ons' ),
        'fab fa-cloudscale' => __( 'cloudscale', 'easybook-add-ons' ),
        'fab fa-cloudsmith' => __( 'cloudsmith', 'easybook-add-ons' ),
        'fab fa-cloudversify' => __( 'cloudversify', 'easybook-add-ons' ),
        'fas fa-code' => __( 'code', 'easybook-add-ons' ),
        'fas fa-code-branch' => __( 'code-branch', 'easybook-add-ons' ),
        'fab fa-codepen' => __( 'codepen', 'easybook-add-ons' ),
        'fab fa-codiepie' => __( 'codiepie', 'easybook-add-ons' ),
        'fas fa-coffee' => __( 'coffee', 'easybook-add-ons' ),
        'fas fa-cog' => __( 'cog', 'easybook-add-ons' ),
        'fas fa-cogs' => __( 'cogs', 'easybook-add-ons' ),
        'fas fa-columns' => __( 'columns', 'easybook-add-ons' ),
        'fas fa-comment' => __( 'comment', 'easybook-add-ons' ),
        'far fa-comment' => __( 'comment', 'easybook-add-ons' ),
        'fas fa-comment-alt' => __( 'comment-alt', 'easybook-add-ons' ),
        'far fa-comment-alt' => __( 'comment-alt', 'easybook-add-ons' ),
        'fas fa-comment-dots' => __( 'comment-dots', 'easybook-add-ons' ),
        'fas fa-comment-slash' => __( 'comment-slash', 'easybook-add-ons' ),
        'fas fa-comments' => __( 'comments', 'easybook-add-ons' ),
        'far fa-comments' => __( 'comments', 'easybook-add-ons' ),
        'fas fa-compass' => __( 'compass', 'easybook-add-ons' ),
        'far fa-compass' => __( 'compass', 'easybook-add-ons' ),
        'fas fa-compress' => __( 'compress', 'easybook-add-ons' ),
        'fab fa-connectdevelop' => __( 'connectdevelop', 'easybook-add-ons' ),
        'fab fa-contao' => __( 'contao', 'easybook-add-ons' ),
        'fas fa-copy' => __( 'copy', 'easybook-add-ons' ),
        'far fa-copy' => __( 'copy', 'easybook-add-ons' ),
        'fas fa-copyright' => __( 'copyright', 'easybook-add-ons' ),
        'far fa-copyright' => __( 'copyright', 'easybook-add-ons' ),
        'fas fa-couch' => __( 'couch', 'easybook-add-ons' ),
        'fab fa-cpanel' => __( 'cpanel', 'easybook-add-ons' ),
        'fab fa-creative-commons' => __( 'creative-commons', 'easybook-add-ons' ),
        'fas fa-credit-card' => __( 'credit-card', 'easybook-add-ons' ),
        'far fa-credit-card' => __( 'credit-card', 'easybook-add-ons' ),
        'fas fa-crop' => __( 'crop', 'easybook-add-ons' ),
        'fas fa-crosshairs' => __( 'crosshairs', 'easybook-add-ons' ),
        'fab fa-css3' => __( 'css3', 'easybook-add-ons' ),
        'fab fa-css3-alt' => __( 'css3-alt', 'easybook-add-ons' ),
        'fas fa-cube' => __( 'cube', 'easybook-add-ons' ),
        'fas fa-cubes' => __( 'cubes', 'easybook-add-ons' ),
        'fas fa-cut' => __( 'cut', 'easybook-add-ons' ),
        'fab fa-cuttlefish' => __( 'cuttlefish', 'easybook-add-ons' ),
        'fab fa-d-and-d' => __( 'd-and-d', 'easybook-add-ons' ),
        'fab fa-dashcube' => __( 'dashcube', 'easybook-add-ons' ),
        'fas fa-database' => __( 'database', 'easybook-add-ons' ),
        'fas fa-deaf' => __( 'deaf', 'easybook-add-ons' ),
        'fab fa-delicious' => __( 'delicious', 'easybook-add-ons' ),
        'fab fa-deploydog' => __( 'deploydog', 'easybook-add-ons' ),
        'fab fa-deskpro' => __( 'deskpro', 'easybook-add-ons' ),
        'fas fa-desktop' => __( 'desktop', 'easybook-add-ons' ),
        'fab fa-deviantart' => __( 'deviantart', 'easybook-add-ons' ),
        'fas fa-diagnoses' => __( 'diagnoses', 'easybook-add-ons' ),
        'fab fa-digg' => __( 'digg', 'easybook-add-ons' ),
        'fab fa-digital-ocean' => __( 'digital-ocean', 'easybook-add-ons' ),
        'fab fa-discord' => __( 'discord', 'easybook-add-ons' ),
        'fab fa-discourse' => __( 'discourse', 'easybook-add-ons' ),
        'fas fa-dna' => __( 'dna', 'easybook-add-ons' ),
        'fab fa-dochub' => __( 'dochub', 'easybook-add-ons' ),
        'fab fa-docker' => __( 'docker', 'easybook-add-ons' ),
        'fas fa-dollar-sign' => __( 'dollar-sign', 'easybook-add-ons' ),
        'fas fa-dolly' => __( 'dolly', 'easybook-add-ons' ),
        'fas fa-dolly-flatbed' => __( 'dolly-flatbed', 'easybook-add-ons' ),
        'fas fa-donate' => __( 'donate', 'easybook-add-ons' ),
        'fas fa-dot-circle' => __( 'dot-circle', 'easybook-add-ons' ),
        'far fa-dot-circle' => __( 'dot-circle', 'easybook-add-ons' ),
        'fas fa-dove' => __( 'dove', 'easybook-add-ons' ),
        'fas fa-download' => __( 'download', 'easybook-add-ons' ),
        'fab fa-draft2digital' => __( 'draft2digital', 'easybook-add-ons' ),
        'fab fa-dribbble' => __( 'dribbble', 'easybook-add-ons' ),
        'fab fa-dribbble-square' => __( 'dribbble-square', 'easybook-add-ons' ),
        'fab fa-dropbox' => __( 'dropbox', 'easybook-add-ons' ),
        'fab fa-drupal' => __( 'drupal', 'easybook-add-ons' ),
        'fab fa-dyalog' => __( 'dyalog', 'easybook-add-ons' ),
        'fab fa-earlybirds' => __( 'earlybirds', 'easybook-add-ons' ),
        'fab fa-edge' => __( 'edge', 'easybook-add-ons' ),
        'fas fa-edit' => __( 'edit', 'easybook-add-ons' ),
        'far fa-edit' => __( 'edit', 'easybook-add-ons' ),
        'fas fa-eject' => __( 'eject', 'easybook-add-ons' ),
        'fab fa-elementor' => __( 'elementor', 'easybook-add-ons' ),
        'fas fa-ellipsis-h' => __( 'ellipsis-h', 'easybook-add-ons' ),
        'fas fa-ellipsis-v' => __( 'ellipsis-v', 'easybook-add-ons' ),
        'fab fa-ember' => __( 'ember', 'easybook-add-ons' ),
        'fab fa-empire' => __( 'empire', 'easybook-add-ons' ),
        'fas fa-envelope' => __( 'envelope', 'easybook-add-ons' ),
        'far fa-envelope' => __( 'envelope', 'easybook-add-ons' ),
        'fas fa-envelope-open' => __( 'envelope-open', 'easybook-add-ons' ),
        'far fa-envelope-open' => __( 'envelope-open', 'easybook-add-ons' ),
        'fas fa-envelope-square' => __( 'envelope-square', 'easybook-add-ons' ),
        'fab fa-envira' => __( 'envira', 'easybook-add-ons' ),
        'fas fa-eraser' => __( 'eraser', 'easybook-add-ons' ),
        'fab fa-erlang' => __( 'erlang', 'easybook-add-ons' ),
        'fab fa-ethereum' => __( 'ethereum', 'easybook-add-ons' ),
        'fab fa-etsy' => __( 'etsy', 'easybook-add-ons' ),
        'fas fa-euro-sign' => __( 'euro-sign', 'easybook-add-ons' ),
        'fas fa-exchange-alt' => __( 'exchange-alt', 'easybook-add-ons' ),
        'fas fa-exclamation' => __( 'exclamation', 'easybook-add-ons' ),
        'fas fa-exclamation-circle' => __( 'exclamation-circle', 'easybook-add-ons' ),
        'fas fa-exclamation-triangle' => __( 'exclamation-triangle', 'easybook-add-ons' ),
        'fas fa-expand' => __( 'expand', 'easybook-add-ons' ),
        'fas fa-expand-arrows-alt' => __( 'expand-arrows-alt', 'easybook-add-ons' ),
        'fab fa-expeditedssl' => __( 'expeditedssl', 'easybook-add-ons' ),
        'fas fa-external-link-alt' => __( 'external-link-alt', 'easybook-add-ons' ),
        'fas fa-external-link-square-alt' => __( 'external-link-square-alt', 'easybook-add-ons' ),
        'fas fa-eye' => __( 'eye', 'easybook-add-ons' ),
        'fas fa-eye-dropper' => __( 'eye-dropper', 'easybook-add-ons' ),
        'fas fa-eye-slash' => __( 'eye-slash', 'easybook-add-ons' ),
        'far fa-eye-slash' => __( 'eye-slash', 'easybook-add-ons' ),
        'fab fa-facebook' => __( 'facebook', 'easybook-add-ons' ),
        'fab fa-facebook-f' => __( 'facebook-f', 'easybook-add-ons' ),
        'fab fa-facebook-messenger' => __( 'facebook-messenger', 'easybook-add-ons' ),
        'fab fa-facebook-square' => __( 'facebook-square', 'easybook-add-ons' ),
        'fas fa-fast-backward' => __( 'fast-backward', 'easybook-add-ons' ),
        'fas fa-fast-forward' => __( 'fast-forward', 'easybook-add-ons' ),
        'fas fa-fax' => __( 'fax', 'easybook-add-ons' ),
        'fas fa-female' => __( 'female', 'easybook-add-ons' ),
        'fas fa-fighter-jet' => __( 'fighter-jet', 'easybook-add-ons' ),
        'fas fa-file' => __( 'file', 'easybook-add-ons' ),
        'far fa-file' => __( 'file', 'easybook-add-ons' ),
        'fas fa-file-alt' => __( 'file-alt', 'easybook-add-ons' ),
        'far fa-file-alt' => __( 'file-alt', 'easybook-add-ons' ),
        'fas fa-file-archive' => __( 'file-archive', 'easybook-add-ons' ),
        'far fa-file-archive' => __( 'file-archive', 'easybook-add-ons' ),
        'fas fa-file-audio' => __( 'file-audio', 'easybook-add-ons' ),
        'far fa-file-audio' => __( 'file-audio', 'easybook-add-ons' ),
        'fas fa-file-code' => __( 'file-code', 'easybook-add-ons' ),
        'far fa-file-code' => __( 'file-code', 'easybook-add-ons' ),
        'fas fa-file-excel' => __( 'file-excel', 'easybook-add-ons' ),
        'far fa-file-excel' => __( 'file-excel', 'easybook-add-ons' ),
        'fas fa-file-image' => __( 'file-image', 'easybook-add-ons' ),
        'far fa-file-image' => __( 'file-image', 'easybook-add-ons' ),
        'fas fa-file-medical' => __( 'file-medical', 'easybook-add-ons' ),
        'fas fa-file-medical-alt' => __( 'file-medical-alt', 'easybook-add-ons' ),
        'fas fa-file-pdf' => __( 'file-pdf', 'easybook-add-ons' ),
        'far fa-file-pdf' => __( 'file-pdf', 'easybook-add-ons' ),
        'fas fa-file-powerpoint' => __( 'file-powerpoint', 'easybook-add-ons' ),
        'far fa-file-powerpoint' => __( 'file-powerpoint', 'easybook-add-ons' ),
        'fas fa-file-video' => __( 'file-video', 'easybook-add-ons' ),
        'far fa-file-video' => __( 'file-video', 'easybook-add-ons' ),
        'fas fa-file-word' => __( 'file-word', 'easybook-add-ons' ),
        'far fa-file-word' => __( 'file-word', 'easybook-add-ons' ),
        'fas fa-film' => __( 'film', 'easybook-add-ons' ),
        'fas fa-filter' => __( 'filter', 'easybook-add-ons' ),
        'fas fa-fire' => __( 'fire', 'easybook-add-ons' ),
        'fas fa-fire-extinguisher' => __( 'fire-extinguisher', 'easybook-add-ons' ),
        'fab fa-firefox' => __( 'firefox', 'easybook-add-ons' ),
        'fas fa-first-aid' => __( 'first-aid', 'easybook-add-ons' ),
        'fab fa-first-order' => __( 'first-order', 'easybook-add-ons' ),
        'fab fa-firstdraft' => __( 'firstdraft', 'easybook-add-ons' ),
        'fas fa-flag' => __( 'flag', 'easybook-add-ons' ),
        'far fa-flag' => __( 'flag', 'easybook-add-ons' ),
        'fas fa-flag-checkered' => __( 'flag-checkered', 'easybook-add-ons' ),
        'fas fa-flask' => __( 'flask', 'easybook-add-ons' ),
        'fab fa-flickr' => __( 'flickr', 'easybook-add-ons' ),
        'fab fa-flipboard' => __( 'flipboard', 'easybook-add-ons' ),
        'fab fa-fly' => __( 'fly', 'easybook-add-ons' ),
        'fas fa-folder' => __( 'folder', 'easybook-add-ons' ),
        'far fa-folder' => __( 'folder', 'easybook-add-ons' ),
        'fas fa-folder-open' => __( 'folder-open', 'easybook-add-ons' ),
        'far fa-folder-open' => __( 'folder-open', 'easybook-add-ons' ),
        'fas fa-font' => __( 'font', 'easybook-add-ons' ),
        'fab fa-font-awesome' => __( 'font-awesome', 'easybook-add-ons' ),
        'fab fa-font-awesome-alt' => __( 'font-awesome-alt', 'easybook-add-ons' ),
        'fab fa-font-awesome-flag' => __( 'font-awesome-flag', 'easybook-add-ons' ),
        'fab fa-fonticons' => __( 'fonticons', 'easybook-add-ons' ),
        'fab fa-fonticons-fi' => __( 'fonticons-fi', 'easybook-add-ons' ),
        'fas fa-football-ball' => __( 'football-ball', 'easybook-add-ons' ),
        'fab fa-fort-awesome' => __( 'fort-awesome', 'easybook-add-ons' ),
        'fab fa-fort-awesome-alt' => __( 'fort-awesome-alt', 'easybook-add-ons' ),
        'fab fa-forumbee' => __( 'forumbee', 'easybook-add-ons' ),
        'fas fa-forward' => __( 'forward', 'easybook-add-ons' ),
        'fab fa-foursquare' => __( 'foursquare', 'easybook-add-ons' ),
        'fab fa-free-code-camp' => __( 'free-code-camp', 'easybook-add-ons' ),
        'fab fa-freebsd' => __( 'freebsd', 'easybook-add-ons' ),
        'fas fa-frown' => __( 'frown', 'easybook-add-ons' ),
        'far fa-frown' => __( 'frown', 'easybook-add-ons' ),
        'fas fa-futbol' => __( 'futbol', 'easybook-add-ons' ),
        'far fa-futbol' => __( 'futbol', 'easybook-add-ons' ),
        'fas fa-gamepad' => __( 'gamepad', 'easybook-add-ons' ),
        'fas fa-gavel' => __( 'gavel', 'easybook-add-ons' ),
        'fas fa-gem' => __( 'gem', 'easybook-add-ons' ),
        'far fa-gem' => __( 'gem', 'easybook-add-ons' ),
        'fas fa-genderless' => __( 'genderless', 'easybook-add-ons' ),
        'fab fa-get-pocket' => __( 'get-pocket', 'easybook-add-ons' ),
        'fab fa-gg' => __( 'gg', 'easybook-add-ons' ),
        'fab fa-gg-circle' => __( 'gg-circle', 'easybook-add-ons' ),
        'fas fa-gift' => __( 'gift', 'easybook-add-ons' ),
        'fab fa-git' => __( 'git', 'easybook-add-ons' ),
        'fab fa-git-square' => __( 'git-square', 'easybook-add-ons' ),
        'fab fa-github' => __( 'github', 'easybook-add-ons' ),
        'fab fa-github-alt' => __( 'github-alt', 'easybook-add-ons' ),
        'fab fa-github-square' => __( 'github-square', 'easybook-add-ons' ),
        'fab fa-gitkraken' => __( 'gitkraken', 'easybook-add-ons' ),
        'fab fa-gitlab' => __( 'gitlab', 'easybook-add-ons' ),
        'fab fa-gitter' => __( 'gitter', 'easybook-add-ons' ),
        'fas fa-glass-martini' => __( 'glass-martini', 'easybook-add-ons' ),
        'fab fa-glide' => __( 'glide', 'easybook-add-ons' ),
        'fab fa-glide-g' => __( 'glide-g', 'easybook-add-ons' ),
        'fas fa-globe' => __( 'globe', 'easybook-add-ons' ),
        'fab fa-gofore' => __( 'gofore', 'easybook-add-ons' ),
        'fas fa-golf-ball' => __( 'golf-ball', 'easybook-add-ons' ),
        'fab fa-goodreads' => __( 'goodreads', 'easybook-add-ons' ),
        'fab fa-goodreads-g' => __( 'goodreads-g', 'easybook-add-ons' ),
        'fab fa-google' => __( 'google', 'easybook-add-ons' ),
        'fab fa-google-drive' => __( 'google-drive', 'easybook-add-ons' ),
        'fab fa-google-play' => __( 'google-play', 'easybook-add-ons' ),
        'fab fa-google-plus' => __( 'google-plus', 'easybook-add-ons' ),
        'fab fa-google-plus-g' => __( 'google-plus-g', 'easybook-add-ons' ),
        'fab fa-google-plus-square' => __( 'google-plus-square', 'easybook-add-ons' ),
        'fab fa-google-wallet' => __( 'google-wallet', 'easybook-add-ons' ),
        'fas fa-graduation-cap' => __( 'graduation-cap', 'easybook-add-ons' ),
        'fab fa-gratipay' => __( 'gratipay', 'easybook-add-ons' ),
        'fab fa-grav' => __( 'grav', 'easybook-add-ons' ),
        'fab fa-gripfire' => __( 'gripfire', 'easybook-add-ons' ),
        'fab fa-grunt' => __( 'grunt', 'easybook-add-ons' ),
        'fab fa-gulp' => __( 'gulp', 'easybook-add-ons' ),
        'fas fa-h-square' => __( 'h-square', 'easybook-add-ons' ),
        'fab fa-hacker-news' => __( 'hacker-news', 'easybook-add-ons' ),
        'fab fa-hacker-news-square' => __( 'hacker-news-square', 'easybook-add-ons' ),
        'fas fa-hand-holding' => __( 'hand-holding', 'easybook-add-ons' ),
        'fas fa-hand-holding-heart' => __( 'hand-holding-heart', 'easybook-add-ons' ),
        'fas fa-hand-holding-usd' => __( 'hand-holding-usd', 'easybook-add-ons' ),
        'fas fa-hand-lizard' => __( 'hand-lizard', 'easybook-add-ons' ),
        'far fa-hand-lizard' => __( 'hand-lizard', 'easybook-add-ons' ),
        'fas fa-hand-paper' => __( 'hand-paper', 'easybook-add-ons' ),
        'far fa-hand-paper' => __( 'hand-paper', 'easybook-add-ons' ),
        'fas fa-hand-peace' => __( 'hand-peace', 'easybook-add-ons' ),
        'far fa-hand-peace' => __( 'hand-peace', 'easybook-add-ons' ),
        'fas fa-hand-point-down' => __( 'hand-point-down', 'easybook-add-ons' ),
        'far fa-hand-point-down' => __( 'hand-point-down', 'easybook-add-ons' ),
        'fas fa-hand-point-left' => __( 'hand-point-left', 'easybook-add-ons' ),
        'far fa-hand-point-left' => __( 'hand-point-left', 'easybook-add-ons' ),
        'fas fa-hand-point-right' => __( 'hand-point-right', 'easybook-add-ons' ),
        'far fa-hand-point-right' => __( 'hand-point-right', 'easybook-add-ons' ),
        'fas fa-hand-point-up' => __( 'hand-point-up', 'easybook-add-ons' ),
        'far fa-hand-point-up' => __( 'hand-point-up', 'easybook-add-ons' ),
        'fas fa-hand-pointer' => __( 'hand-pointer', 'easybook-add-ons' ),
        'far fa-hand-pointer' => __( 'hand-pointer', 'easybook-add-ons' ),
        'fas fa-hand-rock' => __( 'hand-rock', 'easybook-add-ons' ),
        'far fa-hand-rock' => __( 'hand-rock', 'easybook-add-ons' ),
        'fas fa-hand-scissors' => __( 'hand-scissors', 'easybook-add-ons' ),
        'far fa-hand-scissors' => __( 'hand-scissors', 'easybook-add-ons' ),
        'fas fa-hand-spock' => __( 'hand-spock', 'easybook-add-ons' ),
        'far fa-hand-spock' => __( 'hand-spock', 'easybook-add-ons' ),
        'fas fa-hands' => __( 'hands', 'easybook-add-ons' ),
        'fas fa-hands-helping' => __( 'hands-helping', 'easybook-add-ons' ),
        'fas fa-handshake' => __( 'handshake', 'easybook-add-ons' ),
        'far fa-handshake' => __( 'handshake', 'easybook-add-ons' ),
        'fas fa-hashtag' => __( 'hashtag', 'easybook-add-ons' ),
        'fas fa-hdd' => __( 'hdd', 'easybook-add-ons' ),
        'far fa-hdd' => __( 'hdd', 'easybook-add-ons' ),
        'fas fa-heading' => __( 'heading', 'easybook-add-ons' ),
        'fas fa-headphones' => __( 'headphones', 'easybook-add-ons' ),
        'fas fa-heart' => __( 'heart', 'easybook-add-ons' ),
        'far fa-heart' => __( 'heart', 'easybook-add-ons' ),
        'fas fa-heartbeat' => __( 'heartbeat', 'easybook-add-ons' ),
        'fab fa-hips' => __( 'hips', 'easybook-add-ons' ),
        'fab fa-hire-a-helper' => __( 'hire-a-helper', 'easybook-add-ons' ),
        'fas fa-history' => __( 'history', 'easybook-add-ons' ),
        'fas fa-hockey-puck' => __( 'hockey-puck', 'easybook-add-ons' ),
        'fas fa-home' => __( 'home', 'easybook-add-ons' ),
        'fab fa-hooli' => __( 'hooli', 'easybook-add-ons' ),
        'fas fa-hospital' => __( 'hospital', 'easybook-add-ons' ),
        'far fa-hospital' => __( 'hospital', 'easybook-add-ons' ),
        'fas fa-hospital-alt' => __( 'hospital-alt', 'easybook-add-ons' ),
        'fas fa-hospital-symbol' => __( 'hospital-symbol', 'easybook-add-ons' ),
        'fab fa-hotjar' => __( 'hotjar', 'easybook-add-ons' ),
        'fas fa-hourglass' => __( 'hourglass', 'easybook-add-ons' ),
        'far fa-hourglass' => __( 'hourglass', 'easybook-add-ons' ),
        'fas fa-hourglass-end' => __( 'hourglass-end', 'easybook-add-ons' ),
        'fas fa-hourglass-half' => __( 'hourglass-half', 'easybook-add-ons' ),
        'fas fa-hourglass-start' => __( 'hourglass-start', 'easybook-add-ons' ),
        'fab fa-houzz' => __( 'houzz', 'easybook-add-ons' ),
        'fab fa-html5' => __( 'html5', 'easybook-add-ons' ),
        'fab fa-hubspot' => __( 'hubspot', 'easybook-add-ons' ),
        'fas fa-i-cursor' => __( 'i-cursor', 'easybook-add-ons' ),
        'fas fa-id-badge' => __( 'id-badge', 'easybook-add-ons' ),
        'far fa-id-badge' => __( 'id-badge', 'easybook-add-ons' ),
        'fas fa-id-card' => __( 'id-card', 'easybook-add-ons' ),
        'far fa-id-card' => __( 'id-card', 'easybook-add-ons' ),
        'fas fa-id-card-alt' => __( 'id-card-alt', 'easybook-add-ons' ),
        'fas fa-image' => __( 'image', 'easybook-add-ons' ),
        'far fa-image' => __( 'image', 'easybook-add-ons' ),
        'fas fa-images' => __( 'images', 'easybook-add-ons' ),
        'far fa-images' => __( 'images', 'easybook-add-ons' ),
        'fab fa-imdb' => __( 'imdb', 'easybook-add-ons' ),
        'fas fa-inbox' => __( 'inbox', 'easybook-add-ons' ),
        'fas fa-indent' => __( 'indent', 'easybook-add-ons' ),
        'fas fa-industry' => __( 'industry', 'easybook-add-ons' ),
        'fas fa-info' => __( 'info', 'easybook-add-ons' ),
        'fas fa-info-circle' => __( 'info-circle', 'easybook-add-ons' ),
        'fab fa-instagram' => __( 'instagram', 'easybook-add-ons' ),
        'fab fa-internet-explorer' => __( 'internet-explorer', 'easybook-add-ons' ),
        'fab fa-ioxhost' => __( 'ioxhost', 'easybook-add-ons' ),
        'fas fa-italic' => __( 'italic', 'easybook-add-ons' ),
        'fab fa-itunes' => __( 'itunes', 'easybook-add-ons' ),
        'fab fa-itunes-note' => __( 'itunes-note', 'easybook-add-ons' ),
        'fab fa-java' => __( 'java', 'easybook-add-ons' ),
        'fab fa-jenkins' => __( 'jenkins', 'easybook-add-ons' ),
        'fab fa-joget' => __( 'joget', 'easybook-add-ons' ),
        'fab fa-joomla' => __( 'joomla', 'easybook-add-ons' ),
        'fab fa-js' => __( 'js', 'easybook-add-ons' ),
        'fab fa-js-square' => __( 'js-square', 'easybook-add-ons' ),
        'fab fa-jsfiddle' => __( 'jsfiddle', 'easybook-add-ons' ),
        'fas fa-key' => __( 'key', 'easybook-add-ons' ),
        'fas fa-keyboard' => __( 'keyboard', 'easybook-add-ons' ),
        'far fa-keyboard' => __( 'keyboard', 'easybook-add-ons' ),
        'fab fa-keycdn' => __( 'keycdn', 'easybook-add-ons' ),
        'fab fa-kickstarter' => __( 'kickstarter', 'easybook-add-ons' ),
        'fab fa-kickstarter-k' => __( 'kickstarter-k', 'easybook-add-ons' ),
        'fab fa-korvue' => __( 'korvue', 'easybook-add-ons' ),
        'fas fa-language' => __( 'language', 'easybook-add-ons' ),
        'fas fa-laptop' => __( 'laptop', 'easybook-add-ons' ),
        'fab fa-laravel' => __( 'laravel', 'easybook-add-ons' ),
        'fab fa-lastfm' => __( 'lastfm', 'easybook-add-ons' ),
        'fab fa-lastfm-square' => __( 'lastfm-square', 'easybook-add-ons' ),
        'fas fa-leaf' => __( 'leaf', 'easybook-add-ons' ),
        'fab fa-leanpub' => __( 'leanpub', 'easybook-add-ons' ),
        'fas fa-lemon' => __( 'lemon', 'easybook-add-ons' ),
        'far fa-lemon' => __( 'lemon', 'easybook-add-ons' ),
        'fab fa-less' => __( 'less', 'easybook-add-ons' ),
        'fas fa-level-down-alt' => __( 'level-down-alt', 'easybook-add-ons' ),
        'fas fa-level-up-alt' => __( 'level-up-alt', 'easybook-add-ons' ),
        'fas fa-life-ring' => __( 'life-ring', 'easybook-add-ons' ),
        'far fa-life-ring' => __( 'life-ring', 'easybook-add-ons' ),
        'fas fa-lightbulb' => __( 'lightbulb', 'easybook-add-ons' ),
        'far fa-lightbulb' => __( 'lightbulb', 'easybook-add-ons' ),
        'fab fa-line' => __( 'line', 'easybook-add-ons' ),
        'fas fa-link' => __( 'link', 'easybook-add-ons' ),
        'fab fa-linkedin' => __( 'linkedin', 'easybook-add-ons' ),
        'fab fa-linkedin-in' => __( 'linkedin-in', 'easybook-add-ons' ),
        'fab fa-linode' => __( 'linode', 'easybook-add-ons' ),
        'fab fa-linux' => __( 'linux', 'easybook-add-ons' ),
        'fas fa-lira-sign' => __( 'lira-sign', 'easybook-add-ons' ),
        'fas fa-list' => __( 'list', 'easybook-add-ons' ),
        'fas fa-list-alt' => __( 'list-alt', 'easybook-add-ons' ),
        'far fa-list-alt' => __( 'list-alt', 'easybook-add-ons' ),
        'fas fa-list-ol' => __( 'list-ol', 'easybook-add-ons' ),
        'fas fa-list-ul' => __( 'list-ul', 'easybook-add-ons' ),
        'fas fa-location-arrow' => __( 'location-arrow', 'easybook-add-ons' ),
        'fas fa-lock' => __( 'lock', 'easybook-add-ons' ),
        'fas fa-lock-open' => __( 'lock-open', 'easybook-add-ons' ),
        'fas fa-long-arrow-alt-down' => __( 'long-arrow-alt-down', 'easybook-add-ons' ),
        'fas fa-long-arrow-alt-left' => __( 'long-arrow-alt-left', 'easybook-add-ons' ),
        'fas fa-long-arrow-alt-right' => __( 'long-arrow-alt-right', 'easybook-add-ons' ),
        'fas fa-long-arrow-alt-up' => __( 'long-arrow-alt-up', 'easybook-add-ons' ),
        'fas fa-low-vision' => __( 'low-vision', 'easybook-add-ons' ),
        'fab fa-lyft' => __( 'lyft', 'easybook-add-ons' ),
        'fab fa-magento' => __( 'magento', 'easybook-add-ons' ),
        'fas fa-magic' => __( 'magic', 'easybook-add-ons' ),
        'fas fa-magnet' => __( 'magnet', 'easybook-add-ons' ),
        'fas fa-male' => __( 'male', 'easybook-add-ons' ),
        'fas fa-map' => __( 'map', 'easybook-add-ons' ),
        'far fa-map' => __( 'map', 'easybook-add-ons' ),
        'fas fa-map-marker' => __( 'map-marker', 'easybook-add-ons' ),
        'fas fa-map-marker-alt' => __( 'map-marker-alt', 'easybook-add-ons' ),
        'fas fa-map-pin' => __( 'map-pin', 'easybook-add-ons' ),
        'fas fa-map-signs' => __( 'map-signs', 'easybook-add-ons' ),
        'fas fa-mars' => __( 'mars', 'easybook-add-ons' ),
        'fas fa-mars-double' => __( 'mars-double', 'easybook-add-ons' ),
        'fas fa-mars-stroke' => __( 'mars-stroke', 'easybook-add-ons' ),
        'fas fa-mars-stroke-h' => __( 'mars-stroke-h', 'easybook-add-ons' ),
        'fas fa-mars-stroke-v' => __( 'mars-stroke-v', 'easybook-add-ons' ),
        'fab fa-maxcdn' => __( 'maxcdn', 'easybook-add-ons' ),
        'fab fa-medapps' => __( 'medapps', 'easybook-add-ons' ),
        'fab fa-medium' => __( 'medium', 'easybook-add-ons' ),
        'fab fa-medium-m' => __( 'medium-m', 'easybook-add-ons' ),
        'fas fa-medkit' => __( 'medkit', 'easybook-add-ons' ),
        'fab fa-medrt' => __( 'medrt', 'easybook-add-ons' ),
        'fab fa-meetup' => __( 'meetup', 'easybook-add-ons' ),
        'fas fa-meh' => __( 'meh', 'easybook-add-ons' ),
        'far fa-meh' => __( 'meh', 'easybook-add-ons' ),
        'fas fa-mercury' => __( 'mercury', 'easybook-add-ons' ),
        'fas fa-microchip' => __( 'microchip', 'easybook-add-ons' ),
        'fas fa-microphone' => __( 'microphone', 'easybook-add-ons' ),
        'fas fa-microphone-slash' => __( 'microphone-slash', 'easybook-add-ons' ),
        'fab fa-microsoft' => __( 'microsoft', 'easybook-add-ons' ),
        'fas fa-minus' => __( 'minus', 'easybook-add-ons' ),
        'fas fa-minus-circle' => __( 'minus-circle', 'easybook-add-ons' ),
        'fas fa-minus-square' => __( 'minus-square', 'easybook-add-ons' ),
        'far fa-minus-square' => __( 'minus-square', 'easybook-add-ons' ),
        'fab fa-mix' => __( 'mix', 'easybook-add-ons' ),
        'fab fa-mixcloud' => __( 'mixcloud', 'easybook-add-ons' ),
        'fab fa-mizuni' => __( 'mizuni', 'easybook-add-ons' ),
        'fas fa-mobile' => __( 'mobile', 'easybook-add-ons' ),
        'fas fa-mobile-alt' => __( 'mobile-alt', 'easybook-add-ons' ),
        'fab fa-modx' => __( 'modx', 'easybook-add-ons' ),
        'fab fa-monero' => __( 'monero', 'easybook-add-ons' ),
        'fas fa-money-bill-alt' => __( 'money-bill-alt', 'easybook-add-ons' ),
        'far fa-money-bill-alt' => __( 'money-bill-alt', 'easybook-add-ons' ),
        'fas fa-moon' => __( 'moon', 'easybook-add-ons' ),
        'far fa-moon' => __( 'moon', 'easybook-add-ons' ),
        'fas fa-motorcycle' => __( 'motorcycle', 'easybook-add-ons' ),
        'fas fa-mouse-pointer' => __( 'mouse-pointer', 'easybook-add-ons' ),
        'fas fa-music' => __( 'music', 'easybook-add-ons' ),
        'fab fa-napster' => __( 'napster', 'easybook-add-ons' ),
        'fas fa-neuter' => __( 'neuter', 'easybook-add-ons' ),
        'fas fa-newspaper' => __( 'newspaper', 'easybook-add-ons' ),
        'far fa-newspaper' => __( 'newspaper', 'easybook-add-ons' ),
        'fab fa-nintendo-switch' => __( 'nintendo-switch', 'easybook-add-ons' ),
        'fab fa-node' => __( 'node', 'easybook-add-ons' ),
        'fab fa-node-js' => __( 'node-js', 'easybook-add-ons' ),
        'fas fa-notes-medical' => __( 'notes-medical', 'easybook-add-ons' ),
        'fab fa-npm' => __( 'npm', 'easybook-add-ons' ),
        'fab fa-ns8' => __( 'ns8', 'easybook-add-ons' ),
        'fab fa-nutritionix' => __( 'nutritionix', 'easybook-add-ons' ),
        'fas fa-object-group' => __( 'object-group', 'easybook-add-ons' ),
        'far fa-object-group' => __( 'object-group', 'easybook-add-ons' ),
        'fas fa-object-ungroup' => __( 'object-ungroup', 'easybook-add-ons' ),
        'far fa-object-ungroup' => __( 'object-ungroup', 'easybook-add-ons' ),
        'fab fa-odnoklassniki' => __( 'odnoklassniki', 'easybook-add-ons' ),
        'fab fa-odnoklassniki-square' => __( 'odnoklassniki-square', 'easybook-add-ons' ),
        'fab fa-opencart' => __( 'opencart', 'easybook-add-ons' ),
        'fab fa-openid' => __( 'openid', 'easybook-add-ons' ),
        'fab fa-opera' => __( 'opera', 'easybook-add-ons' ),
        'fab fa-optin-monster' => __( 'optin-monster', 'easybook-add-ons' ),
        'fab fa-osi' => __( 'osi', 'easybook-add-ons' ),
        'fas fa-outdent' => __( 'outdent', 'easybook-add-ons' ),
        'fab fa-page4' => __( 'page4', 'easybook-add-ons' ),
        'fab fa-pagelines' => __( 'pagelines', 'easybook-add-ons' ),
        'fas fa-paint-brush' => __( 'paint-brush', 'easybook-add-ons' ),
        'fab fa-palfed' => __( 'palfed', 'easybook-add-ons' ),
        'fas fa-pallet' => __( 'pallet', 'easybook-add-ons' ),
        'fas fa-paper-plane' => __( 'paper-plane', 'easybook-add-ons' ),
        'far fa-paper-plane' => __( 'paper-plane', 'easybook-add-ons' ),
        'fas fa-paperclip' => __( 'paperclip', 'easybook-add-ons' ),
        'fas fa-parachute-box' => __( 'parachute-box', 'easybook-add-ons' ),
        'fas fa-paragraph' => __( 'paragraph', 'easybook-add-ons' ),
        'fas fa-paste' => __( 'paste', 'easybook-add-ons' ),
        'fab fa-patreon' => __( 'patreon', 'easybook-add-ons' ),
        'fas fa-pause' => __( 'pause', 'easybook-add-ons' ),
        'fas fa-pause-circle' => __( 'pause-circle', 'easybook-add-ons' ),
        'far fa-pause-circle' => __( 'pause-circle', 'easybook-add-ons' ),
        'fas fa-paw' => __( 'paw', 'easybook-add-ons' ),
        'fab fa-paypal' => __( 'paypal', 'easybook-add-ons' ),
        'fas fa-pen-square' => __( 'pen-square', 'easybook-add-ons' ),
        'fas fa-pencil-alt' => __( 'pencil-alt', 'easybook-add-ons' ),
        'fas fa-people-carry' => __( 'people-carry', 'easybook-add-ons' ),
        'fas fa-percent' => __( 'percent', 'easybook-add-ons' ),
        'fab fa-periscope' => __( 'periscope', 'easybook-add-ons' ),
        'fab fa-phabricator' => __( 'phabricator', 'easybook-add-ons' ),
        'fab fa-phoenix-framework' => __( 'phoenix-framework', 'easybook-add-ons' ),
        'fas fa-phone' => __( 'phone', 'easybook-add-ons' ),
        'fas fa-phone-slash' => __( 'phone-slash', 'easybook-add-ons' ),
        'fas fa-phone-square' => __( 'phone-square', 'easybook-add-ons' ),
        'fas fa-phone-volume' => __( 'phone-volume', 'easybook-add-ons' ),
        'fab fa-php' => __( 'php', 'easybook-add-ons' ),
        'fab fa-pied-piper' => __( 'pied-piper', 'easybook-add-ons' ),
        'fab fa-pied-piper-alt' => __( 'pied-piper-alt', 'easybook-add-ons' ),
        'fab fa-pied-piper-hat' => __( 'pied-piper-hat', 'easybook-add-ons' ),
        'fab fa-pied-piper-pp' => __( 'pied-piper-pp', 'easybook-add-ons' ),
        'fas fa-piggy-bank' => __( 'piggy-bank', 'easybook-add-ons' ),
        'fas fa-pills' => __( 'pills', 'easybook-add-ons' ),
        'fab fa-pinterest' => __( 'pinterest', 'easybook-add-ons' ),
        'fab fa-pinterest-p' => __( 'pinterest-p', 'easybook-add-ons' ),
        'fab fa-pinterest-square' => __( 'pinterest-square', 'easybook-add-ons' ),
        'fas fa-plane' => __( 'plane', 'easybook-add-ons' ),
        'fas fa-play' => __( 'play', 'easybook-add-ons' ),
        'fas fa-play-circle' => __( 'play-circle', 'easybook-add-ons' ),
        'far fa-play-circle' => __( 'play-circle', 'easybook-add-ons' ),
        'fab fa-playstation' => __( 'playstation', 'easybook-add-ons' ),
        'fas fa-plug' => __( 'plug', 'easybook-add-ons' ),
        'fas fa-plus' => __( 'plus', 'easybook-add-ons' ),
        'fas fa-plus-circle' => __( 'plus-circle', 'easybook-add-ons' ),
        'fas fa-plus-square' => __( 'plus-square', 'easybook-add-ons' ),
        'far fa-plus-square' => __( 'plus-square', 'easybook-add-ons' ),
        'fas fa-podcast' => __( 'podcast', 'easybook-add-ons' ),
        'fas fa-poo' => __( 'poo', 'easybook-add-ons' ),
        'fas fa-pound-sign' => __( 'pound-sign', 'easybook-add-ons' ),
        'fas fa-power-off' => __( 'power-off', 'easybook-add-ons' ),
        'fas fa-prescription-bottle' => __( 'prescription-bottle', 'easybook-add-ons' ),
        'fas fa-prescription-bottle-alt' => __( 'prescription-bottle-alt', 'easybook-add-ons' ),
        'fas fa-print' => __( 'print', 'easybook-add-ons' ),
        'fas fa-procedures' => __( 'procedures', 'easybook-add-ons' ),
        'fab fa-product-hunt' => __( 'product-hunt', 'easybook-add-ons' ),
        'fab fa-pushed' => __( 'pushed', 'easybook-add-ons' ),
        'fas fa-puzzle-piece' => __( 'puzzle-piece', 'easybook-add-ons' ),
        'fab fa-python' => __( 'python', 'easybook-add-ons' ),
        'fab fa-qq' => __( 'qq', 'easybook-add-ons' ),
        'fas fa-qrcode' => __( 'qrcode', 'easybook-add-ons' ),
        'fas fa-question' => __( 'question', 'easybook-add-ons' ),
        'fas fa-question-circle' => __( 'question-circle', 'easybook-add-ons' ),
        'far fa-question-circle' => __( 'question-circle', 'easybook-add-ons' ),
        'fas fa-quidditch' => __( 'quidditch', 'easybook-add-ons' ),
        'fab fa-quinscape' => __( 'quinscape', 'easybook-add-ons' ),
        'fab fa-quora' => __( 'quora', 'easybook-add-ons' ),
        'fas fa-quote-left' => __( 'quote-left', 'easybook-add-ons' ),
        'fas fa-quote-right' => __( 'quote-right', 'easybook-add-ons' ),
        'fas fa-random' => __( 'random', 'easybook-add-ons' ),
        'fab fa-ravelry' => __( 'ravelry', 'easybook-add-ons' ),
        'fab fa-react' => __( 'react', 'easybook-add-ons' ),
        'fab fa-readme' => __( 'readme', 'easybook-add-ons' ),
        'fab fa-rebel' => __( 'rebel', 'easybook-add-ons' ),
        'fas fa-recycle' => __( 'recycle', 'easybook-add-ons' ),
        'fab fa-red-river' => __( 'red-river', 'easybook-add-ons' ),
        'fab fa-reddit' => __( 'reddit', 'easybook-add-ons' ),
        'fab fa-reddit-alien' => __( 'reddit-alien', 'easybook-add-ons' ),
        'fab fa-reddit-square' => __( 'reddit-square', 'easybook-add-ons' ),
        'fas fa-redo' => __( 'redo', 'easybook-add-ons' ),
        'fas fa-redo-alt' => __( 'redo-alt', 'easybook-add-ons' ),
        'fas fa-registered' => __( 'registered', 'easybook-add-ons' ),
        'far fa-registered' => __( 'registered', 'easybook-add-ons' ),
        'fab fa-rendact' => __( 'rendact', 'easybook-add-ons' ),
        'fab fa-renren' => __( 'renren', 'easybook-add-ons' ),
        'fas fa-reply' => __( 'reply', 'easybook-add-ons' ),
        'fas fa-reply-all' => __( 'reply-all', 'easybook-add-ons' ),
        'fab fa-replyd' => __( 'replyd', 'easybook-add-ons' ),
        'fab fa-resolving' => __( 'resolving', 'easybook-add-ons' ),
        'fas fa-retweet' => __( 'retweet', 'easybook-add-ons' ),
        'fas fa-ribbon' => __( 'ribbon', 'easybook-add-ons' ),
        'fas fa-road' => __( 'road', 'easybook-add-ons' ),
        'fas fa-rocket' => __( 'rocket', 'easybook-add-ons' ),
        'fab fa-rocketchat' => __( 'rocketchat', 'easybook-add-ons' ),
        'fab fa-rockrms' => __( 'rockrms', 'easybook-add-ons' ),
        'fas fa-rss' => __( 'rss', 'easybook-add-ons' ),
        'fas fa-rss-square' => __( 'rss-square', 'easybook-add-ons' ),
        'fas fa-ruble-sign' => __( 'ruble-sign', 'easybook-add-ons' ),
        'fas fa-rupee-sign' => __( 'rupee-sign', 'easybook-add-ons' ),
        'fab fa-safari' => __( 'safari', 'easybook-add-ons' ),
        'fab fa-sass' => __( 'sass', 'easybook-add-ons' ),
        'fas fa-save' => __( 'save', 'easybook-add-ons' ),
        'far fa-save' => __( 'save', 'easybook-add-ons' ),
        'fab fa-schlix' => __( 'schlix', 'easybook-add-ons' ),
        'fab fa-scribd' => __( 'scribd', 'easybook-add-ons' ),
        'fas fa-search' => __( 'search', 'easybook-add-ons' ),
        'fas fa-search-minus' => __( 'search-minus', 'easybook-add-ons' ),
        'fas fa-search-plus' => __( 'search-plus', 'easybook-add-ons' ),
        'fab fa-searchengin' => __( 'searchengin', 'easybook-add-ons' ),
        'fas fa-seedling' => __( 'seedling', 'easybook-add-ons' ),
        'fab fa-sellcast' => __( 'sellcast', 'easybook-add-ons' ),
        'fab fa-sellsy' => __( 'sellsy', 'easybook-add-ons' ),
        'fas fa-server' => __( 'server', 'easybook-add-ons' ),
        'fab fa-servicestack' => __( 'servicestack', 'easybook-add-ons' ),
        'fas fa-share' => __( 'share', 'easybook-add-ons' ),
        'fas fa-share-alt' => __( 'share-alt', 'easybook-add-ons' ),
        'fas fa-share-alt-square' => __( 'share-alt-square', 'easybook-add-ons' ),
        'fas fa-share-square' => __( 'share-square', 'easybook-add-ons' ),
        'far fa-share-square' => __( 'share-square', 'easybook-add-ons' ),
        'fas fa-shekel-sign' => __( 'shekel-sign', 'easybook-add-ons' ),
        'fas fa-shield-alt' => __( 'shield-alt', 'easybook-add-ons' ),
        'fas fa-ship' => __( 'ship', 'easybook-add-ons' ),
        'fas fa-shipping-fast' => __( 'shipping-fast', 'easybook-add-ons' ),
        'fab fa-shirtsinbulk' => __( 'shirtsinbulk', 'easybook-add-ons' ),
        'fas fa-shopping-bag' => __( 'shopping-bag', 'easybook-add-ons' ),
        'fas fa-shopping-basket' => __( 'shopping-basket', 'easybook-add-ons' ),
        'fas fa-shopping-cart' => __( 'shopping-cart', 'easybook-add-ons' ),
        'fas fa-shower' => __( 'shower', 'easybook-add-ons' ),
        'fas fa-sign' => __( 'sign', 'easybook-add-ons' ),
        'fas fa-sign-in-alt' => __( 'sign-in-alt', 'easybook-add-ons' ),
        'fas fa-sign-language' => __( 'sign-language', 'easybook-add-ons' ),
        'fas fa-sign-out-alt' => __( 'sign-out-alt', 'easybook-add-ons' ),
        'fas fa-signal' => __( 'signal', 'easybook-add-ons' ),
        'fab fa-simplybuilt' => __( 'simplybuilt', 'easybook-add-ons' ),
        'fab fa-sistrix' => __( 'sistrix', 'easybook-add-ons' ),
        'fas fa-sitemap' => __( 'sitemap', 'easybook-add-ons' ),
        'fab fa-skyatlas' => __( 'skyatlas', 'easybook-add-ons' ),
        'fab fa-skype' => __( 'skype', 'easybook-add-ons' ),
        'fab fa-slack' => __( 'slack', 'easybook-add-ons' ),
        'fab fa-slack-hash' => __( 'slack-hash', 'easybook-add-ons' ),
        'fas fa-sliders-h' => __( 'sliders-h', 'easybook-add-ons' ),
        'fab fa-slideshare' => __( 'slideshare', 'easybook-add-ons' ),
        'fas fa-smile' => __( 'smile', 'easybook-add-ons' ),
        'far fa-smile' => __( 'smile', 'easybook-add-ons' ),
        'fas fa-smoking' => __( 'smoking', 'easybook-add-ons' ),
        'fab fa-snapchat' => __( 'snapchat', 'easybook-add-ons' ),
        'fab fa-snapchat-ghost' => __( 'snapchat-ghost', 'easybook-add-ons' ),
        'fab fa-snapchat-square' => __( 'snapchat-square', 'easybook-add-ons' ),
        'fas fa-snowflake' => __( 'snowflake', 'easybook-add-ons' ),
        'far fa-snowflake' => __( 'snowflake', 'easybook-add-ons' ),
        'fas fa-sort' => __( 'sort', 'easybook-add-ons' ),
        'fas fa-sort-alpha-down' => __( 'sort-alpha-down', 'easybook-add-ons' ),
        'fas fa-sort-alpha-up' => __( 'sort-alpha-up', 'easybook-add-ons' ),
        'fas fa-sort-amount-down' => __( 'sort-amount-down', 'easybook-add-ons' ),
        'fas fa-sort-amount-up' => __( 'sort-amount-up', 'easybook-add-ons' ),
        'fas fa-sort-down' => __( 'sort-down', 'easybook-add-ons' ),
        'fas fa-sort-numeric-down' => __( 'sort-numeric-down', 'easybook-add-ons' ),
        'fas fa-sort-numeric-up' => __( 'sort-numeric-up', 'easybook-add-ons' ),
        'fas fa-sort-up' => __( 'sort-up', 'easybook-add-ons' ),
        'fab fa-soundcloud' => __( 'soundcloud', 'easybook-add-ons' ),
        'fas fa-space-shuttle' => __( 'space-shuttle', 'easybook-add-ons' ),
        'fab fa-speakap' => __( 'speakap', 'easybook-add-ons' ),
        'fas fa-spinner' => __( 'spinner', 'easybook-add-ons' ),
        'fab fa-spotify' => __( 'spotify', 'easybook-add-ons' ),
        'fas fa-square' => __( 'square', 'easybook-add-ons' ),
        'far fa-square' => __( 'square', 'easybook-add-ons' ),
        'fas fa-square-full' => __( 'square-full', 'easybook-add-ons' ),
        'fab fa-stack-exchange' => __( 'stack-exchange', 'easybook-add-ons' ),
        'fab fa-stack-overflow' => __( 'stack-overflow', 'easybook-add-ons' ),
        'fas fa-star' => __( 'star', 'easybook-add-ons' ),
        'far fa-star' => __( 'star', 'easybook-add-ons' ),
        'fas fa-star-half' => __( 'star-half', 'easybook-add-ons' ),
        'far fa-star-half' => __( 'star-half', 'easybook-add-ons' ),
        'fab fa-staylinked' => __( 'staylinked', 'easybook-add-ons' ),
        'fab fa-steam' => __( 'steam', 'easybook-add-ons' ),
        'fab fa-steam-square' => __( 'steam-square', 'easybook-add-ons' ),
        'fab fa-steam-symbol' => __( 'steam-symbol', 'easybook-add-ons' ),
        'fas fa-step-backward' => __( 'step-backward', 'easybook-add-ons' ),
        'fas fa-step-forward' => __( 'step-forward', 'easybook-add-ons' ),
        'fas fa-stethoscope' => __( 'stethoscope', 'easybook-add-ons' ),
        'fab fa-sticker-mule' => __( 'sticker-mule', 'easybook-add-ons' ),
        'fas fa-sticky-note' => __( 'sticky-note', 'easybook-add-ons' ),
        'far fa-sticky-note' => __( 'sticky-note', 'easybook-add-ons' ),
        'fas fa-stop' => __( 'stop', 'easybook-add-ons' ),
        'fas fa-stop-circle' => __( 'stop-circle', 'easybook-add-ons' ),
        'far fa-stop-circle' => __( 'stop-circle', 'easybook-add-ons' ),
        'fas fa-stopwatch' => __( 'stopwatch', 'easybook-add-ons' ),
        'fab fa-strava' => __( 'strava', 'easybook-add-ons' ),
        'fas fa-street-view' => __( 'street-view', 'easybook-add-ons' ),
        'fas fa-strikethrough' => __( 'strikethrough', 'easybook-add-ons' ),
        'fab fa-stripe' => __( 'stripe', 'easybook-add-ons' ),
        'fab fa-stripe-s' => __( 'stripe-s', 'easybook-add-ons' ),
        'fab fa-studiovinari' => __( 'studiovinari', 'easybook-add-ons' ),
        'fab fa-stumbleupon' => __( 'stumbleupon', 'easybook-add-ons' ),
        'fab fa-stumbleupon-circle' => __( 'stumbleupon-circle', 'easybook-add-ons' ),
        'fas fa-subscript' => __( 'subscript', 'easybook-add-ons' ),
        'fas fa-subway' => __( 'subway', 'easybook-add-ons' ),
        'fas fa-suitcase' => __( 'suitcase', 'easybook-add-ons' ),
        'fas fa-sun' => __( 'sun', 'easybook-add-ons' ),
        'far fa-sun' => __( 'sun', 'easybook-add-ons' ),
        'fab fa-superpowers' => __( 'superpowers', 'easybook-add-ons' ),
        'fas fa-superscript' => __( 'superscript', 'easybook-add-ons' ),
        'fab fa-supple' => __( 'supple', 'easybook-add-ons' ),
        'fas fa-sync' => __( 'sync', 'easybook-add-ons' ),
        'fas fa-sync-alt' => __( 'sync-alt', 'easybook-add-ons' ),
        'fas fa-syringe' => __( 'syringe', 'easybook-add-ons' ),
        'fas fa-table' => __( 'table', 'easybook-add-ons' ),
        'fas fa-table-tennis' => __( 'table-tennis', 'easybook-add-ons' ),
        'fas fa-tablet' => __( 'tablet', 'easybook-add-ons' ),
        'fas fa-tablet-alt' => __( 'tablet-alt', 'easybook-add-ons' ),
        'fas fa-tablets' => __( 'tablets', 'easybook-add-ons' ),
        'fas fa-tachometer-alt' => __( 'tachometer-alt', 'easybook-add-ons' ),
        'fas fa-tag' => __( 'tag', 'easybook-add-ons' ),
        'fas fa-tags' => __( 'tags', 'easybook-add-ons' ),
        'fas fa-tape' => __( 'tape', 'easybook-add-ons' ),
        'fas fa-tasks' => __( 'tasks', 'easybook-add-ons' ),
        'fas fa-taxi' => __( 'taxi', 'easybook-add-ons' ),
        'fab fa-telegram' => __( 'telegram', 'easybook-add-ons' ),
        'fab fa-telegram-plane' => __( 'telegram-plane', 'easybook-add-ons' ),
        'fab fa-tencent-weibo' => __( 'tencent-weibo', 'easybook-add-ons' ),
        'fas fa-terminal' => __( 'terminal', 'easybook-add-ons' ),
        'fas fa-text-height' => __( 'text-height', 'easybook-add-ons' ),
        'fas fa-text-width' => __( 'text-width', 'easybook-add-ons' ),
        'fas fa-th' => __( 'th', 'easybook-add-ons' ),
        'fas fa-th-large' => __( 'th-large', 'easybook-add-ons' ),
        'fas fa-th-list' => __( 'th-list', 'easybook-add-ons' ),
        'fab fa-themeisle' => __( 'themeisle', 'easybook-add-ons' ),
        'fas fa-thermometer' => __( 'thermometer', 'easybook-add-ons' ),
        'fas fa-thermometer-empty' => __( 'thermometer-empty', 'easybook-add-ons' ),
        'fas fa-thermometer-full' => __( 'thermometer-full', 'easybook-add-ons' ),
        'fas fa-thermometer-half' => __( 'thermometer-half', 'easybook-add-ons' ),
        'fas fa-thermometer-quarter' => __( 'thermometer-quarter', 'easybook-add-ons' ),
        'fas fa-thermometer-three-quarters' => __( 'thermometer-three-quarters', 'easybook-add-ons' ),
        'fas fa-thumbs-down' => __( 'thumbs-down', 'easybook-add-ons' ),
        'far fa-thumbs-down' => __( 'thumbs-down', 'easybook-add-ons' ),
        'fas fa-thumbs-up' => __( 'thumbs-up', 'easybook-add-ons' ),
        'far fa-thumbs-up' => __( 'thumbs-up', 'easybook-add-ons' ),
        'fas fa-thumbtack' => __( 'thumbtack', 'easybook-add-ons' ),
        'fas fa-ticket-alt' => __( 'ticket-alt', 'easybook-add-ons' ),
        'fas fa-times' => __( 'times', 'easybook-add-ons' ),
        'fas fa-times-circle' => __( 'times-circle', 'easybook-add-ons' ),
        'far fa-times-circle' => __( 'times-circle', 'easybook-add-ons' ),
        'fas fa-tint' => __( 'tint', 'easybook-add-ons' ),
        'fas fa-toggle-off' => __( 'toggle-off', 'easybook-add-ons' ),
        'fas fa-toggle-on' => __( 'toggle-on', 'easybook-add-ons' ),
        'fas fa-trademark' => __( 'trademark', 'easybook-add-ons' ),
        'fas fa-train' => __( 'train', 'easybook-add-ons' ),
        'fas fa-transgender' => __( 'transgender', 'easybook-add-ons' ),
        'fas fa-transgender-alt' => __( 'transgender-alt', 'easybook-add-ons' ),
        'fas fa-trash' => __( 'trash', 'easybook-add-ons' ),
        'fas fa-trash-alt' => __( 'trash-alt', 'easybook-add-ons' ),
        'far fa-trash-alt' => __( 'trash-alt', 'easybook-add-ons' ),
        'fas fa-tree' => __( 'tree', 'easybook-add-ons' ),
        'fab fa-trello' => __( 'trello', 'easybook-add-ons' ),
        'fab fa-tripadvisor' => __( 'tripadvisor', 'easybook-add-ons' ),
        'fas fa-trophy' => __( 'trophy', 'easybook-add-ons' ),
        'fas fa-truck' => __( 'truck', 'easybook-add-ons' ),
        'fas fa-truck-loading' => __( 'truck-loading', 'easybook-add-ons' ),
        'fas fa-truck-moving' => __( 'truck-moving', 'easybook-add-ons' ),
        'fas fa-tty' => __( 'tty', 'easybook-add-ons' ),
        'fab fa-tumblr' => __( 'tumblr', 'easybook-add-ons' ),
        'fab fa-tumblr-square' => __( 'tumblr-square', 'easybook-add-ons' ),
        'fas fa-tv' => __( 'tv', 'easybook-add-ons' ),
        'fab fa-twitch' => __( 'twitch', 'easybook-add-ons' ),
        'fab fa-twitter' => __( 'twitter', 'easybook-add-ons' ),
        'fab fa-twitter-square' => __( 'twitter-square', 'easybook-add-ons' ),
        'fab fa-typo3' => __( 'typo3', 'easybook-add-ons' ),
        'fab fa-uber' => __( 'uber', 'easybook-add-ons' ),
        'fab fa-uikit' => __( 'uikit', 'easybook-add-ons' ),
        'fas fa-umbrella' => __( 'umbrella', 'easybook-add-ons' ),
        'fas fa-underline' => __( 'underline', 'easybook-add-ons' ),
        'fas fa-undo' => __( 'undo', 'easybook-add-ons' ),
        'fas fa-undo-alt' => __( 'undo-alt', 'easybook-add-ons' ),
        'fab fa-uniregistry' => __( 'uniregistry', 'easybook-add-ons' ),
        'fas fa-universal-access' => __( 'universal-access', 'easybook-add-ons' ),
        'fas fa-university' => __( 'university', 'easybook-add-ons' ),
        'fas fa-unlink' => __( 'unlink', 'easybook-add-ons' ),
        'fas fa-unlock' => __( 'unlock', 'easybook-add-ons' ),
        'fas fa-unlock-alt' => __( 'unlock-alt', 'easybook-add-ons' ),
        'fab fa-untappd' => __( 'untappd', 'easybook-add-ons' ),
        'fas fa-upload' => __( 'upload', 'easybook-add-ons' ),
        'fab fa-usb' => __( 'usb', 'easybook-add-ons' ),
        'fas fa-user' => __( 'user', 'easybook-add-ons' ),
        'far fa-user' => __( 'user', 'easybook-add-ons' ),
        'fas fa-user-circle' => __( 'user-circle', 'easybook-add-ons' ),
        'far fa-user-circle' => __( 'user-circle', 'easybook-add-ons' ),
        'fas fa-user-md' => __( 'user-md', 'easybook-add-ons' ),
        'fas fa-user-plus' => __( 'user-plus', 'easybook-add-ons' ),
        'fas fa-user-secret' => __( 'user-secret', 'easybook-add-ons' ),
        'fas fa-user-times' => __( 'user-times', 'easybook-add-ons' ),
        'fas fa-users' => __( 'users', 'easybook-add-ons' ),
        'fab fa-ussunnah' => __( 'ussunnah', 'easybook-add-ons' ),
        'fas fa-utensil-spoon' => __( 'utensil-spoon', 'easybook-add-ons' ),
        'fas fa-utensils' => __( 'utensils', 'easybook-add-ons' ),
        'fab fa-vaadin' => __( 'vaadin', 'easybook-add-ons' ),
        'fas fa-venus' => __( 'venus', 'easybook-add-ons' ),
        'fas fa-venus-double' => __( 'venus-double', 'easybook-add-ons' ),
        'fas fa-venus-mars' => __( 'venus-mars', 'easybook-add-ons' ),
        'fab fa-viacoin' => __( 'viacoin', 'easybook-add-ons' ),
        'fab fa-viadeo' => __( 'viadeo', 'easybook-add-ons' ),
        'fab fa-viadeo-square' => __( 'viadeo-square', 'easybook-add-ons' ),
        'fas fa-vial' => __( 'vial', 'easybook-add-ons' ),
        'fas fa-vials' => __( 'vials', 'easybook-add-ons' ),
        'fab fa-viber' => __( 'viber', 'easybook-add-ons' ),
        'fas fa-video' => __( 'video', 'easybook-add-ons' ),
        'fas fa-video-slash' => __( 'video-slash', 'easybook-add-ons' ),
        'fab fa-vimeo' => __( 'vimeo', 'easybook-add-ons' ),
        'fab fa-vimeo-square' => __( 'vimeo-square', 'easybook-add-ons' ),
        'fab fa-vimeo-v' => __( 'vimeo-v', 'easybook-add-ons' ),
        'fab fa-vine' => __( 'vine', 'easybook-add-ons' ),
        'fab fa-vk' => __( 'vk', 'easybook-add-ons' ),
        'fab fa-vnv' => __( 'vnv', 'easybook-add-ons' ),
        'fas fa-volleyball-ball' => __( 'volleyball-ball', 'easybook-add-ons' ),
        'fas fa-volume-down' => __( 'volume-down', 'easybook-add-ons' ),
        'fas fa-volume-off' => __( 'volume-off', 'easybook-add-ons' ),
        'fas fa-volume-up' => __( 'volume-up', 'easybook-add-ons' ),
        'fab fa-vuejs' => __( 'vuejs', 'easybook-add-ons' ),
        'fas fa-warehouse' => __( 'warehouse', 'easybook-add-ons' ),
        'fab fa-weibo' => __( 'weibo', 'easybook-add-ons' ),
        'fas fa-weight' => __( 'weight', 'easybook-add-ons' ),
        'fab fa-weixin' => __( 'weixin', 'easybook-add-ons' ),
        'fab fa-whatsapp' => __( 'whatsapp', 'easybook-add-ons' ),
        'fab fa-whatsapp-square' => __( 'whatsapp-square', 'easybook-add-ons' ),
        'fas fa-wheelchair' => __( 'wheelchair', 'easybook-add-ons' ),
        'fab fa-whmcs' => __( 'whmcs', 'easybook-add-ons' ),
        'fas fa-wifi' => __( 'wifi', 'easybook-add-ons' ),
        'fab fa-wikipedia-w' => __( 'wikipedia-w', 'easybook-add-ons' ),
        'fas fa-window-close' => __( 'window-close', 'easybook-add-ons' ),
        'far fa-window-close' => __( 'window-close', 'easybook-add-ons' ),
        'fas fa-window-maximize' => __( 'window-maximize', 'easybook-add-ons' ),
        'far fa-window-maximize' => __( 'window-maximize', 'easybook-add-ons' ),
        'fas fa-window-minimize' => __( 'window-minimize', 'easybook-add-ons' ),
        'far fa-window-minimize' => __( 'window-minimize', 'easybook-add-ons' ),
        'fas fa-window-restore' => __( 'window-restore', 'easybook-add-ons' ),
        'far fa-window-restore' => __( 'window-restore', 'easybook-add-ons' ),
        'fab fa-windows' => __( 'windows', 'easybook-add-ons' ),
        'fas fa-wine-glass' => __( 'wine-glass', 'easybook-add-ons' ),
        'fas fa-won-sign' => __( 'won-sign', 'easybook-add-ons' ),
        'fab fa-wordpress' => __( 'wordpress', 'easybook-add-ons' ),
        'fab fa-wordpress-simple' => __( 'wordpress-simple', 'easybook-add-ons' ),
        'fab fa-wpbeginner' => __( 'wpbeginner', 'easybook-add-ons' ),
        'fab fa-wpexplorer' => __( 'wpexplorer', 'easybook-add-ons' ),
        'fab fa-wpforms' => __( 'wpforms', 'easybook-add-ons' ),
        'fas fa-wrench' => __( 'wrench', 'easybook-add-ons' ),
        'fas fa-x-ray' => __( 'x-ray', 'easybook-add-ons' ),
        'fab fa-xbox' => __( 'xbox', 'easybook-add-ons' ),
        'fab fa-xing' => __( 'xing', 'easybook-add-ons' ),
        'fab fa-xing-square' => __( 'xing-square', 'easybook-add-ons' ),
        'fab fa-y-combinator' => __( 'y-combinator', 'easybook-add-ons' ),
        'fab fa-yahoo' => __( 'yahoo', 'easybook-add-ons' ),
        'fab fa-yandex' => __( 'yandex', 'easybook-add-ons' ),
        'fab fa-yandex-international' => __( 'yandex-international', 'easybook-add-ons' ),
        'fab fa-yelp' => __( 'yelp', 'easybook-add-ons' ),
        'fas fa-yen-sign' => __( 'yen-sign', 'easybook-add-ons' ),
        'fab fa-yoast' => __( 'yoast', 'easybook-add-ons' ),
        'fab fa-youtube' => __( 'youtube', 'easybook-add-ons' ),
        'fab fa-youtube-square' => __( 'youtube-square', 'easybook-add-ons' ),
    );
}