<?php
/* add_ons_php */

?>
<div class="header-user-menu user-menu-<?php echo $style;?>">
    <div class="header-user-name user-name-<?php echo $style;?>">
        <span class="au-avatar"><?php 
            echo get_avatar($current_user->user_email,'80','https://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=80', $current_user->display_name );
        ?></span>
        <?php echo esc_html__( 'My account',  'easybook-add-ons' ) ?>
        <?php if($style != 'two'): ?>
        <span class="au-name"><?php echo esc_html__( 'Hello , ',  'easybook-add-ons' ) . $current_user->display_name ; ?></span>
        <?php endif; ?>
    </div>
    <ul>
        <?php if($style == 'two'): ?>
        <li><div class="au-name-li">
            <h2 class="au-name"><?php echo esc_html__( 'Hello , ',  'easybook-add-ons' ) . $current_user->display_name ; ?></h2>
            <div class="au-role"><?php echo easybook_addons_get_user_role_name() ; ?></div>
            <?php if(Esb_Class_Membership::is_author()): ?>
            <div class="au-earning"><a href="<?php echo easybook_addons_dashboard_screen('withdrawals');?>"><?php echo sprintf(__( 'Earning: %s', 'easybook-add-ons' ), easybook_addons_get_price_formated( Esb_Class_Earning::getBalance($current_user->ID) ) ) ;?></a></div>
            <?php endif; ?>
        </div></li>
        <?php endif; ?>
        <li><a href="<?php echo easybook_addons_dashboard_screen();?>"><?php _e( 'Dashboard', 'easybook-add-ons' );?></a></li> 
    <?php if( easybook_addons_current_user_can('view_listings_dashboard') ): ?>
        <li><a href="<?php echo easybook_addons_add_listing_url();?>"><?php _e( 'Add Listing', 'easybook-add-ons' );?></a></li>
        <li><a href="<?php echo easybook_addons_dashboard_screen('bookings');?>"><?php _e( 'Bookings', 'easybook-add-ons' );?></a></li>
        <li><a href="<?php echo easybook_addons_dashboard_screen('reviews');?>"><?php _e( 'Comments', 'easybook-add-ons' );?></a></li>
    <?php else : ?>
        <li><a href="<?php echo easybook_addons_dashboard_screen('bookings');?>"><?php _e( 'Bookings', 'easybook-add-ons' );?></a></li>
        <li><a href="<?php echo easybook_addons_dashboard_screen('chats');?>"><?php _e( 'Messages', 'easybook-add-ons' );?></a></li>
    <?php endif; ?>
        <li><a href="<?php echo wp_logout_url( easybook_addons_get_current_url() ); ?>"><?php _e('Log Out','easybook-add-ons');?></a></li>
    </ul>
</div>