<?php
/* add_ons_php */
$listing_bookmarks = get_user_meta( get_current_user_id(), ESB_META_PREFIX.'listing_bookmarks', true );
// var_dump(count( $listing_bookmarks ));
?>
<!-- wishlist-wrap-->            
<div class="wishlist-wrap scrollbar-inner novis_wishlist">
    <div class="box-widget-content">
        <?php if(!empty($listing_bookmarks) && is_array($listing_bookmarks)){ ?>
        <div class="widget-posts fl-wrap">
            <ul class="bookmark-wishlist-wrap">
                <?php 
                if(!empty($listing_bookmarks) && is_array($listing_bookmarks)){ 
                    foreach ($listing_bookmarks as $lid) {
                        $listing_post = get_post($lid);
                        if(empty($listing_post)) continue;
                        $rating = easybook_addons_get_average_ratings($listing_post->ID);
                         // var_dump($rating);
                        $price_from = get_post_meta( $listing_post->ID, ESB_META_PREFIX.'price_from', true );
                        $address = get_post_meta( $listing_post->ID, '_cth_address', true );
                        $url = wp_get_attachment_url( get_post_thumbnail_id($listing_post->ID), 'thumbnail' ); 
                        $rating_base = (int)easybook_addons_get_option('rating_base');
                        
                        ?>
                        <li class="clearfix wishlist-item fl-wrap cth-table-list">
                            <a href="#" class="delete-bookmark-btn" data-id="<?php echo $listing_post->ID; ?>"><i class="fal fa-times-circle"></i></a>
                            <div class="wishlist-sec"> 
                                <a href="#"  class="widget-posts-img"><img src="<?php echo $url; ?>" class="respimg" alt=""></a>
                                <div class="widget-posts-descr">
                                    <a href="<?php echo esc_url(get_the_permalink($listing_post->ID));?>"><?php echo esc_html( $listing_post->post_title ); ?></a>
                                    <?php if (!empty($rating['sum']) && is_numeric($rating['sum']) && $rating['sum']!== ''): 
                                   ?>
                                        <div class="listing-rating card-popup-rainingvis"data-starrating2="<?php echo $rating['sum'];?>" data-stars="<?php echo $rating_base;?>"></div>
                                    <?php endif; ?>
                                    <?php if (!empty($address)): ?>
                                         <div class="geodir-category-location fl-wrap"><a href="#"><i class="fas fa-map-marker-alt"></i> <?php echo $address; ?></a></div>
                                    <?php endif ?>
                                    <?php if ($price_from !== ''): ?>
                                        <span class="rooms-price"> $ <?php echo $price_from; ?> <strong><?php esc_html_e(' /  Avg','easybook-add-ons'); ?></strong></span>
                                    <?php endif; ?>
                                </div>
                            </div>           
                        </li>
                 <?php
                    }
                } ?>
            </ul>
        </div>
    <?php 
        }else{
    ?>
        <div class="cth-table-list">
             <p><?php echo _e( 'You have no bookmark.', 'easybook-add-ons' ); ?></p>
        </div>
    <?php
        }
    ?>
    </div>
</div>
<!-- wishlist-wrap end--> 

