<?php
/* add_ons_php */
$css = $el_class = $title = $show_starts = $show_separator = $separator_color = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_classes = array(
    'section-title-left fl-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>

<div class="<?php echo esc_attr($css_class );?>">
    <?php if($show_starts == 'yes') echo '<div class="section-title-separator"><span></span></div>'; ?>

    <?php if(!empty($title)) echo '<h3>'.$title.'</h3>'; ?>

    <?php if($show_separator == 'yes'): ?>
        <span class="section-separator section-separator-<?php echo $separator_color; ?>"></span> 
    <?php endif; ?>

    <?php if( !empty($content) ) : ?>
        <p><?php echo $content; ?></p>
    <?php endif; ?>
</div>
