<?php
/* add_ons_php */
azp_add_element(
    'preview_listing_content',
    array(
        'name'                    => __('Listing Card Content', 'easybook-add-ons'),
        // 'desc'                  => __('Custom element for adding third party shortcode','easybook-add-ons'),
        'category'                => __("Preview Template", 'easybook-add-ons'),
        'icon'                    => ESB_DIR_URL . 'assets/azp-eles-icon/cththemes-logo.png',
        'open_settings_on_create' => true,
        'showStyleTab'            => true,
        'showTypographyTab'       => true,
        'showAnimationTab'        => true,
        'is_section'              => true,
        'has_children'            => true,
        'attrs'                   => array(
            array(
                'type'          => 'switch',
                'param_name'    => 'hide_address',
                'show_in_admin' => true,
                'label'         => __('Hide Address', 'easybook-add-ons'),
                'desc'          => '',
                'default'       => 'no',
                'value'         => array(
                    'yes'   => __('Yes', 'easybook-add-ons'),
                    'no'    => __('No', 'easybook-add-ons'),
                ),
            ),
            array(
                'type'          => 'switch',
                'param_name'    => 'hide_excerpt',
                'show_in_admin' => true,
                'label'         => __('Hide Description', 'easybook-add-ons'),
                'desc'          => '',
                'default'       => 'no',
                'value'         => array(
                    'yes'   => __('Yes', 'easybook-add-ons'),
                    'no'    => __('No', 'easybook-add-ons'),
                ),
            ),
            array(
                'type'          => 'switch',
                'param_name'    => 'hide_features',
                'show_in_admin' => true,
                'label'         => __('Hide Features', 'easybook-add-ons'),
                'desc'          => '',
                'default'       => 'no',
                'value'         => array(
                    'yes'   => __('Yes', 'easybook-add-ons'),
                    'no'    => __('No', 'easybook-add-ons'),
                ),
            ),

            

            array(
                'type'          => 'switch',
                'param_name'    => 'hide_footer',
                'show_in_admin' => true,
                'label'         => __('Hide bottom infos ( Price - Bookmark - On map )', 'easybook-add-ons'),
                'desc'          => '',
                'default'       => 'no',
                'value'         => array(
                    'yes'   => __('Yes', 'easybook-add-ons'),
                    'no'    => __('No', 'easybook-add-ons'),
                ),
            ),
            array(
                'type'          => 'switch',
                'param_name'    => 'show_price',
                // 'show_in_admin' => true,
                'label'         => __('Show Price', 'easybook-add-ons'),
                'desc'          => '',
                'default'       => 'yes',
                'value'         => array(
                    'yes'   => __('Yes', 'easybook-add-ons'),
                    'no'    => __('No', 'easybook-add-ons'),
                ),
            ),
            array(
                'type'          => 'switch',
                'param_name'    => 'hide_direction',
                'show_in_admin' => true,
                'label'         => __('Hide Direction', 'easybook-add-ons'),
                'desc'          => '',
                'default'       => 'no',
                'value'         => array(
                    'yes'   => __('Yes', 'easybook-add-ons'),
                    'no'    => __('No', 'easybook-add-ons'),
                ),
            ),
            array(
                'type'          => 'switch',
                'param_name'    => 'hide_bookmark',
                'show_in_admin' => true,
                'label'         => __('Hide bookmark', 'easybook-add-ons'),
                'desc'          => '',
                'default'       => 'no',
                'value'         => array(
                    'yes' => __('Yes', 'easybook-add-ons'),
                    'no'  => __('No', 'easybook-add-ons'),
                ),
            ),
            // array(
            //     'type'          => 'switch',
            //     'param_name'    => 'hide_price_range',
            //     'show_in_admin' => true,
            //     'label'         => __('Hide price range', 'easybook-add-ons'),
            //     'desc'          => '',
            //     'default'       => 'no',
            //     'value'         => array(
            //         'yes'   => __('Yes', 'easybook-add-ons'),
            //         'no'    => __('No', 'easybook-add-ons'),
            //     ),
            // ),

            // array(
            //     'type'          => 'switch',
            //     'param_name'    => 'hide_contacts',
            //     'show_in_admin' => true,
            //     'label'         => __('Hide contact infos', 'easybook-add-ons'),
            //     'desc'          => '',
            //     'default'       => 'no',
            //     'value'         => array(
            //         'yes'   => __('Yes', 'easybook-add-ons'),
            //         'no'    => __('No', 'easybook-add-ons'),
            //     ),
            // ),

            array(
                'type'          => 'switch',
                'param_name'    => 'hide_view_map',
                'show_in_admin' => true,
                'label'         => __('Hide view on map', 'easybook-add-ons'),
                'desc'          => '',
                'default'       => 'no',
                'value'         => array(
                    'yes'   => __('Yes', 'easybook-add-ons'),
                    'no'    => __('No', 'easybook-add-ons'),
                ),
            ),

            // array(
            //     'type'          => 'switch',
            //     'param_name'    => 'hide_gallery',
            //     'show_in_admin' => true,
            //     'label'         => __('Hide gallery', 'easybook-add-ons'),
            //     'desc'          => '',
            //     'default'       => 'no',
            //     'value'         => array(
            //         'yes'   => __('Yes', 'easybook-add-ons'),
            //         'no'    => __('No', 'easybook-add-ons'),
            //     ),
            // ),


            array(
                'type'       => 'text',
                'param_name' => 'el_id',
                'label'      => __('Element ID', 'easybook-add-ons'),
                // 'desc'                  => '',
                'default'    => '',
            ),
            array(
                'type'       => 'text',
                'param_name' => 'el_class',
                'label'      => __('Extra Class', 'easybook-add-ons'),
                'desc'       => __("Use this field to add a class name and then refer to it in your CSS.", 'easybook-add-ons'),
                'default'    => '',
            ),
        ),
    )
);
