<?php
/* add_ons_php */

// get booking
add_action('wp_ajax_nopriv_easybook_addons_dasboard_booking', 'easybook_addons_easybook_addons_dasboard_booking_callback');
add_action('wp_ajax_easybook_addons_dasboard_booking', 'easybook_addons_easybook_addons_dasboard_booking_callback');

function easybook_addons_easybook_addons_dasboard_booking_callback() {   
    
    $json = array(
        'success' => false, 
        'data' => array(
            // 'POST'=>$_POST,
        ),
        'posts' => array(),
    );
    $nonce = $_POST['_nonce'];
    if ( ! wp_verify_nonce( $nonce, 'easybook-add-ons' ) ){
        $json['data']['error'] = __( 'Security checked!, Cheatn huh?', 'easybook-add-ons' ) ;  
        wp_send_json($json );
    }
    $user_id = isset($_POST['user_id'])? $_POST['user_id'] : 0;  
    if( is_numeric($user_id) && $user_id > 0 ){
		$paged = 1; 
		$current_user = wp_get_current_user();
		$au_listings = get_posts( array(
		    'fields'                => 'ids',
		    'post_type'             =>  'listing', 
		    'author'                =>  $user_id,
		    'orderby'               =>  'date',
		    'order'                 =>  'DESC',
		    'post_status'           => 'publish',
		    'posts_per_page'        => -1, // no limit
		) );
		$au_listing_ids = array();
		foreach ( $au_listings as $post_ID ) {
		   $au_listing_ids[] = $post_ID;
		}
        if(isset($_POST['status']) && $_POST['status'] == 'you'){  
            $meta_queries = array(
                // show user bookings
                array(
                    'relation' => 'AND',
                    array(
                        'key'     => ESB_META_PREFIX.'user_id',
                        'value'   => $current_user->ID,
                    ),
                    array(
                        'key'     => ESB_META_PREFIX.'lb_status',
                        'value'   => 'canceled',
                        'compare' => '!='
                    )
                    
                ),
            );
        }
        if(isset($_POST['status']) && $_POST['status'] == 'customer'){
            $meta_queries = array(
                // show user bookings
                array(
                    'relation' => 'AND',
                    // array(
                    //     'key'     => ESB_META_PREFIX.'user_id',
                    //     'value'   => $current_user->ID,
                    //     'compare' => 'NOT IN'
                    // ),
                    array(
                        'key'     => $user_id,
                        'value'   => $current_user->ID,
                        'compare' => 'LIKE'
                    ),
                    
                    array(
                        'key'     => ESB_META_PREFIX.'lb_status',
                        'value'   => 'canceled',
                        'compare' => '!='
                    )
                ),
            );
            if(!empty($au_listing_ids) && $au_listing_ids != '')  {
                $meta_queries['relation'] = 'OR';
                $meta_queries[] = array(
                    'key'     => ESB_META_PREFIX.'listing_id',
                    'value'   => $au_listing_ids,
                    'compare' => 'IN',
                    'type' => 'NUMERIC',
                );
                // $meta_queries['relation'] = 'AND';
                // $meta_queries[] = array(
                //     'key'     => ,
                //     'value'   => ,
                //     'compare' => '',
                // );
            }     
        }  
		     

		$args = array(
		    'post_type'     =>  'lbooking', 
		    // 'author'        =>  $user_id, 
		    'orderby'       =>  'date',
		    'order'         =>  'DESC',
		    'paged'         => $paged,
		     // 'post_status'   =>  array( 'pending', 'draft', 'future','publish' ),
		    'post_status'   => 'publish',
		    // 'posts_per_page' => -1, // no limit
		    // 'posts_per_page' => 1,
		    'meta_query' => $meta_queries
		    
		);
		if(isset($_POST['paged']) && $_POST['paged'] != ''){
			$paged = $_POST['paged'];
			$args['paged'] = $_POST['paged'];
		}
         // if(isset($_POST['status']) && $_POST['status'] == 'you'){
         //    $args['author__not_in'] = $user_id;
         // }
		// The Query
		$posts_query = new WP_Query( $args );

		if($posts_query->have_posts()) :
				

			 while($posts_query->have_posts()) : $posts_query->the_post(); 
			 	$room = get_post( get_post_meta( get_the_ID(), ESB_META_PREFIX.'lb_room', true ) );
				$listing_post =	get_post( get_post_meta( get_the_ID(), ESB_META_PREFIX.'listing_id', true ) );
                $lb_adults     = get_post_meta( get_the_ID(), ESB_META_PREFIX.'adults', true );
                $lb_children  = get_post_meta( get_the_ID(), ESB_META_PREFIX.'children', true );
                $date_event = get_post_meta( get_the_ID(), ESB_META_PREFIX.'date_event', true );
                $qty = get_post_meta( get_the_ID(), ESB_META_PREFIX.'qty', true );
                $person = (int)$lb_adults + (int)$lb_children;

                $listing_id = get_post_meta( get_the_ID(), ESB_META_PREFIX.'listing_id', true );
                $services = get_post_meta($listing_id, ESB_META_PREFIX.'lservices', true);
                $value_serv = array();
                if(isset($services) && is_array($services) && $services!= '') {
                    $value_key_ser  = array();
                    $addservices = get_post_meta( get_the_ID(), ESB_META_PREFIX.'addservices', true );
                    if(isset($addservices) && is_array($addservices) && $addservices != ''){
                        foreach ($addservices  as $key => $item_serv) {
                            // var_dump($item_serv);
                            $value_key_ser[]  = array_search($item_serv,array_column($services,  'service_id'));
                        }
                        foreach ($value_key_ser as $key => $value) {
                             $value_serv[] = $services[$value];
                        }
                    }
                }

                $lb_name = get_post_meta( get_the_ID(), ESB_META_PREFIX.'lb_name', true );
                $lb_email = get_post_meta( get_the_ID(), ESB_META_PREFIX.'lb_email', true );
                $lb_phone = get_post_meta( get_the_ID(), ESB_META_PREFIX.'lb_phone', true );

                $user_obj = get_userdata( get_post_meta( get_the_ID(), ESB_META_PREFIX.'user_id', true ) );
                if( $user_obj ){
                    if( empty($lb_name) ) $lb_name = $user_obj->display_name;
                    if( empty($lb_email) ) $lb_email = $user_obj->user_email;
                    if( empty($lb_phone) ) $lb_phone = get_user_meta( $user_obj->ID, ESB_META_PREFIX.'phone', true);
                } 


                ob_start();
                ?>
                <?php  
                $rooms = get_post_meta( get_the_ID(), ESB_META_PREFIX.'rooms', true );
                if( is_array($rooms) && !empty($rooms) ) { ?>
                <div class="booking-details fl-wrap bkrooms">                                                               
                    <span class="booking-title"><?php esc_html_e( 'Rooms: ', 'easybook-add-ons' ); ?></span>
                    <span class="booking-text">
                        <ul class="no-list-style bkrooms-rooms">
                        <?php foreach ($rooms as $key => $room) { //var_dump($room); ?>
                            <li>
                                <span class="booking-title"><?php echo esc_html($room['title']) //get_the_title($room['ID']); ?></span>
                                <span class="booking-text"><?php echo sprintf(__( '%s x %s', 'easybook-add-ons' ), (int)$room['quantity'], easybook_addons_get_price_formated($room['price']) ); ?></span>
                            </li>
                        <?php } ?>
                        </ul>
                    </span>
                </div>  
                <?php  
                } ?>

                <?php  
                $rooms_persons = get_post_meta( get_the_ID(), ESB_META_PREFIX.'rooms_person_data', true );
                if( is_array($rooms_persons) && !empty($rooms_persons) ) { ?>
                <div class="booking-details fl-wrap bkrooms">
                <?php 
                foreach ( $rooms_persons as $rdata ) {
                    ?>
                    <div class="bkroom-item">
                        <div class="bkroom-item-title"><?php echo $rdata['title'];?></div>
                        <?php 
                        foreach ($rdata['rdates'] as $rdte => $rdval) {

                            ?>
                            <div class="bkroom-date">
                                <div class="bkroom-date-title"><?php echo Esb_Class_Date::i18n( $rdte ); ?></div>
                                <div class="bkroom-date-persons">
                                    <?php if( !empty($rdata['adults']) ): ?>
                                    <div class="bkroom-date-person">
                                        <strong class="bkroom-date-quantity"><?php echo sprintf( _x('Adults %d x ', 'checkout room persons','easybook-add-ons'), $rdata['adults'] ); ?></strong>
                                        <strong class="bkroom-date-price"><?php echo easybook_addons_get_price_formated($rdval['adults']); ?></strong>
                                    </div>
                                    <?php endif; ?>
                                    <?php if( !empty($rdata['children']) ): ?>
                                    <div class="bkroom-date-person">
                                        <strong class="bkroom-date-quantity"><?php echo sprintf( _x('Children %d x ', 'checkout room persons','easybook-add-ons'), $rdata['children'] ); ?></strong>
                                        <strong class="bkroom-date-price"><?php echo easybook_addons_get_price_formated($rdval['children']); ?></strong>
                                    </div>
                                    <?php endif; ?>
                                    <?php if( !empty($rdata['infant']) ): ?>
                                    <div class="bkroom-date-person">
                                        <strong class="bkroom-date-quantity"><?php echo sprintf( _x('Infant %d x ', 'checkout room persons','easybook-add-ons'), $rdata['infant'] ); ?></strong>
                                        <strong class="bkroom-date-price"><?php echo easybook_addons_get_price_formated($rdval['infant']); ?></strong>
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <?php
                        } ?>
                    </div>
                    <?php
                } ?>
                </div>  
                <?php  
                } ?>
                
                <?php  
                $rooms_old = get_post_meta( get_the_ID(), ESB_META_PREFIX.'rooms_old_data', true );
                if( is_array($rooms_old) && !empty($rooms_old) ) { ?>
                <div class="booking-details fl-wrap bkrooms">
                <?php 
                foreach ( $rooms_old as $rdata ) {
                    ?>
                    <div class="bkroom-item">
                        <div class="bkroom-item-title"><?php echo $rdata['title'];?></div>
                        <?php 
                        foreach ($rdata['rdates'] as $rdte => $rdval) {

                            ?>
                            <div class="bkroom-date">
                                <div class="bkroom-date-title"><?php echo Esb_Class_Date::i18n( $rdte ); ?></div>
                                <div class="bkroom-date-persons">
                                    <?php if( !empty($rdata['quantity']) ): ?>
                                    <div class="bkroom-date-person">
                                        <strong class="bkroom-date-quantity"><?php echo sprintf( _x('Adults %d x ', 'checkout room dates','easybook-add-ons'), $rdata['quantity'] ); ?></strong>
                                        <strong class="bkroom-date-price"><?php echo easybook_addons_get_price_formated($rdval); ?></strong>
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <?php
                        } ?>
                    </div>
                    <?php
                } ?>
                </div>  
                <?php  
                } ?>
                
                
                <?php  
                $tickets = get_post_meta( get_the_ID(), ESB_META_PREFIX.'tickets', true );
                if( is_array($tickets) && !empty($tickets) ) { ?>
                <div class="booking-details fl-wrap bkrooms">                                                               
                    <span class="booking-title"><?php esc_html_e( 'Tickets: ', 'easybook-add-ons' ); ?></span>
                    <span class="booking-text">
                        <ul class="no-list-style bkrooms-rooms">
                        <?php foreach ($tickets as $key => $ticket) { //var_dump($ticket); ?>
                            <li>
                                <span class="booking-title"><?php echo esc_html($ticket['title']) //get_the_title($ticket['ID']); ?></span>
                                <span class="booking-text"><?php echo sprintf(__( '%s x %s', 'easybook-add-ons' ), (int)$ticket['quantity'], easybook_addons_get_price_formated($ticket['price']) ); ?></span>
                            </li>
                        <?php } ?>
                        </ul>
                    </span>
                </div>  
                <?php  
                } ?>

                <?php  
                $tour_slots = get_post_meta( get_the_ID(), ESB_META_PREFIX.'tour_slots', true );
                if( is_array($tour_slots) && !empty($tour_slots) ) { ?>
                <div class="booking-details fl-wrap bkrooms">                                                               
                    <span class="booking-title"><?php esc_html_e( 'Slots: ', 'easybook-add-ons' ); ?></span>
                    <span class="booking-text">
                        <ul class="no-list-style bkrooms-rooms">
                        <?php foreach ($tour_slots as $key => $ticket) { //var_dump($ticket); ?>
                            <li class="ctour-ticket-slot">
                                <span class="booking-title"><?php echo esc_html($ticket['title']) //get_the_title($ticket['ID']); ?></span>
                                <span class="booking-text">
                                    <?php if(!empty($ticket['adults'])) echo '<div>'.sprintf(__( 'Adults: %s x %s', 'easybook-add-ons' ), (int)$ticket['adults'], easybook_addons_get_price_formated($ticket['price']) ).'</div>'; ?>
                                    <?php if(!empty($ticket['children'])) echo '<div>'.sprintf(__( 'Children: %s x %s', 'easybook-add-ons' ), (int)$ticket['children'], easybook_addons_get_price_formated($ticket['child_price']) ).'</div>'; ?>
                                </span>
                            </li>
                        <?php } ?>
                        </ul>
                    </span>
                </div>  
                <?php  
                } ?>
                <?php  
                $time_slots = get_post_meta( get_the_ID(), ESB_META_PREFIX.'time_slots', true );
                if( is_array($time_slots) && !empty($time_slots) ) { ?>
                <div class="booking-details fl-wrap bkrooms">                                                               
                    <span class="booking-title"><?php esc_html_e( 'Slots: ', 'easybook-add-ons' ); ?></span>
                    <span class="booking-text">
                        <ul class="no-list-style bkrooms-rooms">
                        <?php foreach ($time_slots as $key => $ticket) { //var_dump($ticket); ?>
                            <li>
                                <span class="booking-title"><?php echo esc_html($ticket['title']) //get_the_title($ticket['ID']); ?></span>
                                <span class="booking-text"><?php // echo sprintf(__( '%s x %s', 'easybook-add-ons' ), (int)$ticket['quantity'], easybook_addons_get_price_formated($ticket['price']) ); ?></span>
                            </li>
                        <?php } ?>
                        </ul>
                    </span>
                </div>  
                <?php  
                } ?>
                <?php
                $new_infos = ob_get_clean();
                
			 	$json['posts'][] = (object) array(
			 		'ID'						=> get_the_ID(),
			 		'title'						=> get_the_title(),
			 		'listing_id'				=>	get_post_meta( get_the_ID(), ESB_META_PREFIX.'listing_id', true),
			 		// 'room_id'					=>	get_post_meta( get_the_ID(), ESB_META_PREFIX.'lb_room', true ),
			 		// 'room_title'				=> $room->post_title,
			 		'listing_title'				=> $listing_post->post_title,
			 		'listing_url'				=> get_the_permalink( get_post_meta( get_the_ID(), ESB_META_PREFIX.'listing_id', true )),
			 		'avatar'					=> get_avatar( $lb_email,'150','https://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=150',$lb_name ),
			 		'date_book'					=> get_the_date(get_option( 'date_format' )),
			 		// 'booking-time'				=> get_post_meta( get_the_ID(), ESB_META_PREFIX.'lb_time', true ),
			 		'email'						=> $lb_email,
			 		'mail'						=> $current_user->user_email,
			 		'phone'						=> $lb_phone,
			 		'nights'                	=> get_post_meta( get_the_ID(), ESB_META_PREFIX.'nights', true ),
	                'person'                    => $person,
	                'checkin'            	    => get_post_meta( get_the_ID(), ESB_META_PREFIX.'checkin', true ),
	                'checkout'              	=> get_post_meta( get_the_ID(), ESB_META_PREFIX.'checkout', true ),
	                'status'					=> get_post_meta( get_the_ID(), ESB_META_PREFIX.'lb_status', true ),
	                'payment_method'			=> get_post_meta( get_the_ID(), ESB_META_PREFIX.'payment-method', true ),
	                'notes'						=> get_post_meta( get_the_ID(), ESB_META_PREFIX.'notes', true ),
	                'name_user'					=> $lb_name,
	                'del'						=> easybook_addons_get_option('booking_author_delete'),
                    'appc'                      => easybook_addons_get_option('booking_approved_cancel'),
                    'tickets'                   => $qty,
                    'date_event'                => $date_event,
                    'addservices'               => $value_serv,
                    'new_infos'                 => $new_infos,
			 	);

			endwhile;
		    $json['pagi']['range'] = 2;
		    $json['pagi']['paged'] = $paged;
		    $json['pagi']['pages'] = $posts_query->max_num_pages;

			wp_reset_postdata();

		endif;

    }else{
        $json['data']['error'] = __( 'The author id is incorrect.', 'easybook-add-ons' ) ;
        wp_send_json($json );
    }
    $json['success'] = true;
    wp_send_json($json );

}


// delete listing
add_action('wp_ajax_nopriv_easybook_addons_delete_booking', 'easybook_addons_delete_booking_callback');
add_action('wp_ajax_easybook_addons_delete_booking', 'easybook_addons_delete_booking_callback');

function easybook_addons_delete_booking_callback() {
    $json = array(
        'success' => false,
        'data' => array(
            // 'POST'=>$_POST,
        ),
        'post'	=> array(
        	'ID'	=> 0
        )
    );
    

    $nonce = $_POST['_nonce'];
    
    if ( ! wp_verify_nonce( $nonce, 'easybook-add-ons' ) ){
        $json['data']['error'] = esc_html__( 'Security checked!, Cheatn huh?', 'easybook-add-ons' ) ;
        wp_send_json($json );
    }


    $bkid = isset($_POST['bkid'])? $_POST['bkid'] : 0;
    if(is_numeric($bkid) && (int)$bkid > 0){
	    $listing_id = get_post_meta( $bkid, ESB_META_PREFIX.'listing_id', true );
        if(get_current_user_id() != get_post_field('post_author', $listing_id) || easybook_addons_get_option('booking_author_delete') != 'yes' ){
            $json['data']['error'] = __( "You don't have permission to approve this booking", 'easybook-add-ons' );
            $json['data']['user'] = get_current_user_id();
            $json['data']['author'] = get_post_field('post_author', $listing_id);
            wp_send_json($json );
        }

        $force_delete = easybook_addons_get_option('booking_del_trash') == 'yes' ? false : true;
        $deleted_post = wp_delete_post( $bkid, $force_delete );//move to trash
        if($deleted_post){
           	$json['post'] = $deleted_post;
            $json['success'] = true;
        }else{
            $json['data']['error'] = esc_html__( 'Delete booking failure', 'easybook-add-ons' ) ;
        }
    }else{
        // $json['success'] = false;
        $json['data']['error'] = esc_html__( 'The post id is incorrect.', 'easybook-add-ons' ) ;
    }

    wp_send_json($json );

}
// cancel booking
add_action('wp_ajax_nopriv_easybook_addons_cancel_booking', 'easybook_addons_cancel_booking_callback');
add_action('wp_ajax_easybook_addons_cancel_booking', 'easybook_addons_cancel_booking_callback');

function easybook_addons_cancel_booking_callback() {
    $json = array(
        'success' => false,
        'data' => array(
            // 'POST'=>$_POST,
        ),
        'post'	=> array(
        	'ID'	=> 0
        ),
    );
    

    $nonce = $_POST['_nonce'];
    
    if ( ! wp_verify_nonce( $nonce, 'easybook-add-ons' ) ){
        $json['success'] = false;
        $json['data']['error'] = esc_html__( 'Security checked!, Cheatn huh?', 'easybook-add-ons' ) ;
        wp_send_json($json );
    }


    $bkid = $_POST['bkid'];
    if(is_numeric($bkid) && (int)$bkid > 0){
        $current_user = wp_get_current_user(); 
        if( $current_user->ID  != get_post_meta( $bkid, ESB_META_PREFIX.'user_id', true ) ){
            $json['data'][] = __( "You don't have permission to this booking", 'easybook-add-ons' );
            wp_send_json($json );
        }
        if ( !update_post_meta( $bkid, ESB_META_PREFIX.'lb_status',  'canceled'  ) ) {
            $json['data'][] = sprintf(__('Insert booking %s meta failure or existing meta value','easybook-add-ons'),'lb_status');
            
        }else{
            $json['post'] = array(
                'ID'    => $bkid,
                'status' => 'canceled',
            );
            $json['success'] = true;
        }
    }else{
        
        $json['data']['error'] = esc_html__( 'The post id is incorrect.', 'easybook-add-ons' ) ;
    }

    wp_send_json($json );

}
// approve booking
add_action('wp_ajax_nopriv_easybook_addons_approve_booking', 'easybook_addons_approve_booking_callback');
add_action('wp_ajax_easybook_addons_approve_booking', 'easybook_addons_approve_booking_callback');

function easybook_addons_approve_booking_callback() {
    $json = array(
        'success' => false,
        'data' => array(
            // 'POST'=>$_POST,
        ),
        'post' => array(
        )
    );

    // $json['success'] = true;
    // $json['post'] = array(
    //     'ID'    => $_POST['bkid'],
    //     'status' => 'completed',
    // );
    
    // wp_send_json($json);

    $nonce = $_POST['_nonce'];
    
    if ( ! wp_verify_nonce( $nonce, 'easybook-add-ons' ) ){
        $json['success'] = false;
        $json['data']['error'] = esc_html__( 'Security checked!, Cheatn huh?', 'easybook-add-ons' ) ;
        wp_send_json($json );
    }


    $bkid = $_POST['bkid'];
    if(is_numeric($bkid) && (int)$bkid > 0){
        $listing_id = get_post_meta( $bkid, ESB_META_PREFIX.'listing_id', true );
        if(get_current_user_id() != get_post_field('post_author', $listing_id) ){
            $json['data'][] = __( "You don't have permission to approve this booking", 'easybook-add-ons' );
            $json['data']['user'] = get_current_user_id();
            $json['data']['author'] = get_post_field('post_author', $listing_id);
            wp_send_json($json );
        }

        
        if ( !update_post_meta( $bkid, ESB_META_PREFIX.'lb_status',  'completed'  ) ) {
                $json['data'][] = sprintf(__('Insert booking %s meta failure or existing meta value','easybook-add-ons'),'lb_status');
            }else{
                $json['success'] = true;
                $json['post'] = array(
                	'ID'	=> $bkid,
                	'status' => 'completed',
                );
                // push customer notification
                $customer = get_user_by( 'email', get_userdata(get_post_meta( get_the_ID(), ESB_META_PREFIX.'user_id', true ))->user_email);
                // if ( ! empty( $customer ) ) {
                //     easybook_addons_user_add_notification($customer->ID, array(
                //         'type' => 'booking_approved',
                //         'message' => sprintf(__( 'Your booking for <strong>%s</strong> listing has been approved.', 'easybook-add-ons' ), get_post_field('post_title', $listing_id) )
                //     ));
                // }
                do_action( 'easybook_addons_edit_booking_approved', $bkid );

            }
            
    }else{
        
        $json['data']['error'] = esc_html__( 'The booking id is incorrect.', 'easybook-add-ons' ) ;
    }

    wp_send_json($json );

}