<?php
/* add_ons_php */
?>
<div class="team-box-wrap">
    <?php 
    $mem_img = '';
    if(!empty($member['id_image'])){
        if( is_array( $member['id_image'] ) ){
            $mem_img = reset($member['id_image']);
        }else{
            $mem_img = $member['id_image'];
        }
    }
    if(!empty($mem_img)):
    ?>
    <div class="team-photo">
        <?php echo wp_get_attachment_image( $mem_img, 'full', false, array('class'  => 'respimg') ); ?>
    </div>
    <?php endif; ?>
    <div class="team-info">
        <?php if(!empty($member['name'])): ?><h3 class="entry-title"><?php echo $member['name'];?></h3><?php endif; ?>
        <?php if(!empty($member['job'])): ?><h4><?php echo $member['job'];?></h4><?php endif; ?>
        <?php if(!empty($member['desc'])): ?><p><?php echo $member['desc'];?></p><?php endif; ?>
        <?php if(!empty($member['socials'])): ?>
        <ul class="team-mem-socials">
            <?php 
            foreach ($member['socials'] as $key => $social): 
                 echo '<li><a href="'.esc_url( $social['url'] ).'" target="_blank" ><i class="fab fa-'.esc_attr( $social['name'] ).'"></i></a></li>';
            endforeach ?>
        </ul>
        <?php endif; ?>
    </div>
</div>